"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChimeSDKIdentity = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const ChimeSDKIdentityClient_1 = require("./ChimeSDKIdentityClient");
const CreateAppInstanceAdminCommand_1 = require("./commands/CreateAppInstanceAdminCommand");
const CreateAppInstanceBotCommand_1 = require("./commands/CreateAppInstanceBotCommand");
const CreateAppInstanceCommand_1 = require("./commands/CreateAppInstanceCommand");
const CreateAppInstanceUserCommand_1 = require("./commands/CreateAppInstanceUserCommand");
const DeleteAppInstanceAdminCommand_1 = require("./commands/DeleteAppInstanceAdminCommand");
const DeleteAppInstanceBotCommand_1 = require("./commands/DeleteAppInstanceBotCommand");
const DeleteAppInstanceCommand_1 = require("./commands/DeleteAppInstanceCommand");
const DeleteAppInstanceUserCommand_1 = require("./commands/DeleteAppInstanceUserCommand");
const DeregisterAppInstanceUserEndpointCommand_1 = require("./commands/DeregisterAppInstanceUserEndpointCommand");
const DescribeAppInstanceAdminCommand_1 = require("./commands/DescribeAppInstanceAdminCommand");
const DescribeAppInstanceBotCommand_1 = require("./commands/DescribeAppInstanceBotCommand");
const DescribeAppInstanceCommand_1 = require("./commands/DescribeAppInstanceCommand");
const DescribeAppInstanceUserCommand_1 = require("./commands/DescribeAppInstanceUserCommand");
const DescribeAppInstanceUserEndpointCommand_1 = require("./commands/DescribeAppInstanceUserEndpointCommand");
const GetAppInstanceRetentionSettingsCommand_1 = require("./commands/GetAppInstanceRetentionSettingsCommand");
const ListAppInstanceAdminsCommand_1 = require("./commands/ListAppInstanceAdminsCommand");
const ListAppInstanceBotsCommand_1 = require("./commands/ListAppInstanceBotsCommand");
const ListAppInstancesCommand_1 = require("./commands/ListAppInstancesCommand");
const ListAppInstanceUserEndpointsCommand_1 = require("./commands/ListAppInstanceUserEndpointsCommand");
const ListAppInstanceUsersCommand_1 = require("./commands/ListAppInstanceUsersCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const PutAppInstanceRetentionSettingsCommand_1 = require("./commands/PutAppInstanceRetentionSettingsCommand");
const PutAppInstanceUserExpirationSettingsCommand_1 = require("./commands/PutAppInstanceUserExpirationSettingsCommand");
const RegisterAppInstanceUserEndpointCommand_1 = require("./commands/RegisterAppInstanceUserEndpointCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateAppInstanceBotCommand_1 = require("./commands/UpdateAppInstanceBotCommand");
const UpdateAppInstanceCommand_1 = require("./commands/UpdateAppInstanceCommand");
const UpdateAppInstanceUserCommand_1 = require("./commands/UpdateAppInstanceUserCommand");
const UpdateAppInstanceUserEndpointCommand_1 = require("./commands/UpdateAppInstanceUserEndpointCommand");
const commands = {
    CreateAppInstanceCommand: CreateAppInstanceCommand_1.CreateAppInstanceCommand,
    CreateAppInstanceAdminCommand: CreateAppInstanceAdminCommand_1.CreateAppInstanceAdminCommand,
    CreateAppInstanceBotCommand: CreateAppInstanceBotCommand_1.CreateAppInstanceBotCommand,
    CreateAppInstanceUserCommand: CreateAppInstanceUserCommand_1.CreateAppInstanceUserCommand,
    DeleteAppInstanceCommand: DeleteAppInstanceCommand_1.DeleteAppInstanceCommand,
    DeleteAppInstanceAdminCommand: DeleteAppInstanceAdminCommand_1.DeleteAppInstanceAdminCommand,
    DeleteAppInstanceBotCommand: DeleteAppInstanceBotCommand_1.DeleteAppInstanceBotCommand,
    DeleteAppInstanceUserCommand: DeleteAppInstanceUserCommand_1.DeleteAppInstanceUserCommand,
    DeregisterAppInstanceUserEndpointCommand: DeregisterAppInstanceUserEndpointCommand_1.DeregisterAppInstanceUserEndpointCommand,
    DescribeAppInstanceCommand: DescribeAppInstanceCommand_1.DescribeAppInstanceCommand,
    DescribeAppInstanceAdminCommand: DescribeAppInstanceAdminCommand_1.DescribeAppInstanceAdminCommand,
    DescribeAppInstanceBotCommand: DescribeAppInstanceBotCommand_1.DescribeAppInstanceBotCommand,
    DescribeAppInstanceUserCommand: DescribeAppInstanceUserCommand_1.DescribeAppInstanceUserCommand,
    DescribeAppInstanceUserEndpointCommand: DescribeAppInstanceUserEndpointCommand_1.DescribeAppInstanceUserEndpointCommand,
    GetAppInstanceRetentionSettingsCommand: GetAppInstanceRetentionSettingsCommand_1.GetAppInstanceRetentionSettingsCommand,
    ListAppInstanceAdminsCommand: ListAppInstanceAdminsCommand_1.ListAppInstanceAdminsCommand,
    ListAppInstanceBotsCommand: ListAppInstanceBotsCommand_1.ListAppInstanceBotsCommand,
    ListAppInstancesCommand: ListAppInstancesCommand_1.ListAppInstancesCommand,
    ListAppInstanceUserEndpointsCommand: ListAppInstanceUserEndpointsCommand_1.ListAppInstanceUserEndpointsCommand,
    ListAppInstanceUsersCommand: ListAppInstanceUsersCommand_1.ListAppInstanceUsersCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    PutAppInstanceRetentionSettingsCommand: PutAppInstanceRetentionSettingsCommand_1.PutAppInstanceRetentionSettingsCommand,
    PutAppInstanceUserExpirationSettingsCommand: PutAppInstanceUserExpirationSettingsCommand_1.PutAppInstanceUserExpirationSettingsCommand,
    RegisterAppInstanceUserEndpointCommand: RegisterAppInstanceUserEndpointCommand_1.RegisterAppInstanceUserEndpointCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateAppInstanceCommand: UpdateAppInstanceCommand_1.UpdateAppInstanceCommand,
    UpdateAppInstanceBotCommand: UpdateAppInstanceBotCommand_1.UpdateAppInstanceBotCommand,
    UpdateAppInstanceUserCommand: UpdateAppInstanceUserCommand_1.UpdateAppInstanceUserCommand,
    UpdateAppInstanceUserEndpointCommand: UpdateAppInstanceUserEndpointCommand_1.UpdateAppInstanceUserEndpointCommand,
};
class ChimeSDKIdentity extends ChimeSDKIdentityClient_1.ChimeSDKIdentityClient {
}
exports.ChimeSDKIdentity = ChimeSDKIdentity;
(0, smithy_client_1.createAggregatedClient)(commands, ChimeSDKIdentity);
