import { createAggregatedClient } from "@aws-sdk/smithy-client";
import { ChimeSDKIdentityClient } from "./ChimeSDKIdentityClient";
import { CreateAppInstanceAdminCommand, } from "./commands/CreateAppInstanceAdminCommand";
import { CreateAppInstanceBotCommand, } from "./commands/CreateAppInstanceBotCommand";
import { CreateAppInstanceCommand, } from "./commands/CreateAppInstanceCommand";
import { CreateAppInstanceUserCommand, } from "./commands/CreateAppInstanceUserCommand";
import { DeleteAppInstanceAdminCommand, } from "./commands/DeleteAppInstanceAdminCommand";
import { DeleteAppInstanceBotCommand, } from "./commands/DeleteAppInstanceBotCommand";
import { DeleteAppInstanceCommand, } from "./commands/DeleteAppInstanceCommand";
import { DeleteAppInstanceUserCommand, } from "./commands/DeleteAppInstanceUserCommand";
import { DeregisterAppInstanceUserEndpointCommand, } from "./commands/DeregisterAppInstanceUserEndpointCommand";
import { DescribeAppInstanceAdminCommand, } from "./commands/DescribeAppInstanceAdminCommand";
import { DescribeAppInstanceBotCommand, } from "./commands/DescribeAppInstanceBotCommand";
import { DescribeAppInstanceCommand, } from "./commands/DescribeAppInstanceCommand";
import { DescribeAppInstanceUserCommand, } from "./commands/DescribeAppInstanceUserCommand";
import { DescribeAppInstanceUserEndpointCommand, } from "./commands/DescribeAppInstanceUserEndpointCommand";
import { GetAppInstanceRetentionSettingsCommand, } from "./commands/GetAppInstanceRetentionSettingsCommand";
import { ListAppInstanceAdminsCommand, } from "./commands/ListAppInstanceAdminsCommand";
import { ListAppInstanceBotsCommand, } from "./commands/ListAppInstanceBotsCommand";
import { ListAppInstancesCommand, } from "./commands/ListAppInstancesCommand";
import { ListAppInstanceUserEndpointsCommand, } from "./commands/ListAppInstanceUserEndpointsCommand";
import { ListAppInstanceUsersCommand, } from "./commands/ListAppInstanceUsersCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { PutAppInstanceRetentionSettingsCommand, } from "./commands/PutAppInstanceRetentionSettingsCommand";
import { PutAppInstanceUserExpirationSettingsCommand, } from "./commands/PutAppInstanceUserExpirationSettingsCommand";
import { RegisterAppInstanceUserEndpointCommand, } from "./commands/RegisterAppInstanceUserEndpointCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAppInstanceBotCommand, } from "./commands/UpdateAppInstanceBotCommand";
import { UpdateAppInstanceCommand, } from "./commands/UpdateAppInstanceCommand";
import { UpdateAppInstanceUserCommand, } from "./commands/UpdateAppInstanceUserCommand";
import { UpdateAppInstanceUserEndpointCommand, } from "./commands/UpdateAppInstanceUserEndpointCommand";
const commands = {
    CreateAppInstanceCommand,
    CreateAppInstanceAdminCommand,
    CreateAppInstanceBotCommand,
    CreateAppInstanceUserCommand,
    DeleteAppInstanceCommand,
    DeleteAppInstanceAdminCommand,
    DeleteAppInstanceBotCommand,
    DeleteAppInstanceUserCommand,
    DeregisterAppInstanceUserEndpointCommand,
    DescribeAppInstanceCommand,
    DescribeAppInstanceAdminCommand,
    DescribeAppInstanceBotCommand,
    DescribeAppInstanceUserCommand,
    DescribeAppInstanceUserEndpointCommand,
    GetAppInstanceRetentionSettingsCommand,
    ListAppInstanceAdminsCommand,
    ListAppInstanceBotsCommand,
    ListAppInstancesCommand,
    ListAppInstanceUserEndpointsCommand,
    ListAppInstanceUsersCommand,
    ListTagsForResourceCommand,
    PutAppInstanceRetentionSettingsCommand,
    PutAppInstanceUserExpirationSettingsCommand,
    RegisterAppInstanceUserEndpointCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateAppInstanceCommand,
    UpdateAppInstanceBotCommand,
    UpdateAppInstanceUserCommand,
    UpdateAppInstanceUserEndpointCommand,
};
export class ChimeSDKIdentity extends ChimeSDKIdentityClient {
}
createAggregatedClient(commands, ChimeSDKIdentity);
