import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  CreateAppInstanceBotRequest,
  CreateAppInstanceBotResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAppInstanceBotCommandInput
  extends CreateAppInstanceBotRequest {}
export interface CreateAppInstanceBotCommandOutput
  extends CreateAppInstanceBotResponse,
    __MetadataBearer {}
export declare class CreateAppInstanceBotCommand extends $Command<
  CreateAppInstanceBotCommandInput,
  CreateAppInstanceBotCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: CreateAppInstanceBotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAppInstanceBotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAppInstanceBotCommandInput,
    CreateAppInstanceBotCommandOutput
  >;
  private serialize;
  private deserialize;
}
