import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import { DeleteAppInstanceAdminRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAppInstanceAdminCommandInput
  extends DeleteAppInstanceAdminRequest {}
export interface DeleteAppInstanceAdminCommandOutput extends __MetadataBearer {}
export declare class DeleteAppInstanceAdminCommand extends $Command<
  DeleteAppInstanceAdminCommandInput,
  DeleteAppInstanceAdminCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DeleteAppInstanceAdminCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAppInstanceAdminCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAppInstanceAdminCommandInput,
    DeleteAppInstanceAdminCommandOutput
  >;
  private serialize;
  private deserialize;
}
