import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import { DeleteAppInstanceBotRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAppInstanceBotCommandInput
  extends DeleteAppInstanceBotRequest {}
export interface DeleteAppInstanceBotCommandOutput extends __MetadataBearer {}
export declare class DeleteAppInstanceBotCommand extends $Command<
  DeleteAppInstanceBotCommandInput,
  DeleteAppInstanceBotCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DeleteAppInstanceBotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAppInstanceBotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAppInstanceBotCommandInput,
    DeleteAppInstanceBotCommandOutput
  >;
  private serialize;
  private deserialize;
}
