import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import { DeleteAppInstanceUserRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAppInstanceUserCommandInput
  extends DeleteAppInstanceUserRequest {}
export interface DeleteAppInstanceUserCommandOutput extends __MetadataBearer {}
export declare class DeleteAppInstanceUserCommand extends $Command<
  DeleteAppInstanceUserCommandInput,
  DeleteAppInstanceUserCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DeleteAppInstanceUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAppInstanceUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAppInstanceUserCommandInput,
    DeleteAppInstanceUserCommandOutput
  >;
  private serialize;
  private deserialize;
}
