import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  DescribeAppInstanceRequest,
  DescribeAppInstanceResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAppInstanceCommandInput
  extends DescribeAppInstanceRequest {}
export interface DescribeAppInstanceCommandOutput
  extends DescribeAppInstanceResponse,
    __MetadataBearer {}
export declare class DescribeAppInstanceCommand extends $Command<
  DescribeAppInstanceCommandInput,
  DescribeAppInstanceCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DescribeAppInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAppInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeAppInstanceCommandInput, DescribeAppInstanceCommandOutput>;
  private serialize;
  private deserialize;
}
