import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  DescribeAppInstanceUserEndpointRequest,
  DescribeAppInstanceUserEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAppInstanceUserEndpointCommandInput
  extends DescribeAppInstanceUserEndpointRequest {}
export interface DescribeAppInstanceUserEndpointCommandOutput
  extends DescribeAppInstanceUserEndpointResponse,
    __MetadataBearer {}
export declare class DescribeAppInstanceUserEndpointCommand extends $Command<
  DescribeAppInstanceUserEndpointCommandInput,
  DescribeAppInstanceUserEndpointCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DescribeAppInstanceUserEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAppInstanceUserEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAppInstanceUserEndpointCommandInput,
    DescribeAppInstanceUserEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
