import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  ListAppInstanceUserEndpointsRequest,
  ListAppInstanceUserEndpointsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListAppInstanceUserEndpointsCommandInput
  extends ListAppInstanceUserEndpointsRequest {}
export interface ListAppInstanceUserEndpointsCommandOutput
  extends ListAppInstanceUserEndpointsResponse,
    __MetadataBearer {}
export declare class ListAppInstanceUserEndpointsCommand extends $Command<
  ListAppInstanceUserEndpointsCommandInput,
  ListAppInstanceUserEndpointsCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: ListAppInstanceUserEndpointsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAppInstanceUserEndpointsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAppInstanceUserEndpointsCommandInput,
    ListAppInstanceUserEndpointsCommandOutput
  >;
  private serialize;
  private deserialize;
}
