import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  PutAppInstanceUserExpirationSettingsRequest,
  PutAppInstanceUserExpirationSettingsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutAppInstanceUserExpirationSettingsCommandInput
  extends PutAppInstanceUserExpirationSettingsRequest {}
export interface PutAppInstanceUserExpirationSettingsCommandOutput
  extends PutAppInstanceUserExpirationSettingsResponse,
    __MetadataBearer {}
export declare class PutAppInstanceUserExpirationSettingsCommand extends $Command<
  PutAppInstanceUserExpirationSettingsCommandInput,
  PutAppInstanceUserExpirationSettingsCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: PutAppInstanceUserExpirationSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutAppInstanceUserExpirationSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutAppInstanceUserExpirationSettingsCommandInput,
    PutAppInstanceUserExpirationSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
