import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  UpdateAppInstanceRequest,
  UpdateAppInstanceResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateAppInstanceCommandInput
  extends UpdateAppInstanceRequest {}
export interface UpdateAppInstanceCommandOutput
  extends UpdateAppInstanceResponse,
    __MetadataBearer {}
export declare class UpdateAppInstanceCommand extends $Command<
  UpdateAppInstanceCommandInput,
  UpdateAppInstanceCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: UpdateAppInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAppInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateAppInstanceCommandInput, UpdateAppInstanceCommandOutput>;
  private serialize;
  private deserialize;
}
