import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  UpdateAppInstanceUserRequest,
  UpdateAppInstanceUserResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateAppInstanceUserCommandInput
  extends UpdateAppInstanceUserRequest {}
export interface UpdateAppInstanceUserCommandOutput
  extends UpdateAppInstanceUserResponse,
    __MetadataBearer {}
export declare class UpdateAppInstanceUserCommand extends $Command<
  UpdateAppInstanceUserCommandInput,
  UpdateAppInstanceUserCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: UpdateAppInstanceUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAppInstanceUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAppInstanceUserCommandInput,
    UpdateAppInstanceUserCommandOutput
  >;
  private serialize;
  private deserialize;
}
