"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChimeSDKMediaPipelines = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const ChimeSDKMediaPipelinesClient_1 = require("./ChimeSDKMediaPipelinesClient");
const CreateMediaCapturePipelineCommand_1 = require("./commands/CreateMediaCapturePipelineCommand");
const CreateMediaConcatenationPipelineCommand_1 = require("./commands/CreateMediaConcatenationPipelineCommand");
const CreateMediaInsightsPipelineCommand_1 = require("./commands/CreateMediaInsightsPipelineCommand");
const CreateMediaInsightsPipelineConfigurationCommand_1 = require("./commands/CreateMediaInsightsPipelineConfigurationCommand");
const CreateMediaLiveConnectorPipelineCommand_1 = require("./commands/CreateMediaLiveConnectorPipelineCommand");
const DeleteMediaCapturePipelineCommand_1 = require("./commands/DeleteMediaCapturePipelineCommand");
const DeleteMediaInsightsPipelineConfigurationCommand_1 = require("./commands/DeleteMediaInsightsPipelineConfigurationCommand");
const DeleteMediaPipelineCommand_1 = require("./commands/DeleteMediaPipelineCommand");
const GetMediaCapturePipelineCommand_1 = require("./commands/GetMediaCapturePipelineCommand");
const GetMediaInsightsPipelineConfigurationCommand_1 = require("./commands/GetMediaInsightsPipelineConfigurationCommand");
const GetMediaPipelineCommand_1 = require("./commands/GetMediaPipelineCommand");
const ListMediaCapturePipelinesCommand_1 = require("./commands/ListMediaCapturePipelinesCommand");
const ListMediaInsightsPipelineConfigurationsCommand_1 = require("./commands/ListMediaInsightsPipelineConfigurationsCommand");
const ListMediaPipelinesCommand_1 = require("./commands/ListMediaPipelinesCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateMediaInsightsPipelineConfigurationCommand_1 = require("./commands/UpdateMediaInsightsPipelineConfigurationCommand");
const UpdateMediaInsightsPipelineStatusCommand_1 = require("./commands/UpdateMediaInsightsPipelineStatusCommand");
const commands = {
    CreateMediaCapturePipelineCommand: CreateMediaCapturePipelineCommand_1.CreateMediaCapturePipelineCommand,
    CreateMediaConcatenationPipelineCommand: CreateMediaConcatenationPipelineCommand_1.CreateMediaConcatenationPipelineCommand,
    CreateMediaInsightsPipelineCommand: CreateMediaInsightsPipelineCommand_1.CreateMediaInsightsPipelineCommand,
    CreateMediaInsightsPipelineConfigurationCommand: CreateMediaInsightsPipelineConfigurationCommand_1.CreateMediaInsightsPipelineConfigurationCommand,
    CreateMediaLiveConnectorPipelineCommand: CreateMediaLiveConnectorPipelineCommand_1.CreateMediaLiveConnectorPipelineCommand,
    DeleteMediaCapturePipelineCommand: DeleteMediaCapturePipelineCommand_1.DeleteMediaCapturePipelineCommand,
    DeleteMediaInsightsPipelineConfigurationCommand: DeleteMediaInsightsPipelineConfigurationCommand_1.DeleteMediaInsightsPipelineConfigurationCommand,
    DeleteMediaPipelineCommand: DeleteMediaPipelineCommand_1.DeleteMediaPipelineCommand,
    GetMediaCapturePipelineCommand: GetMediaCapturePipelineCommand_1.GetMediaCapturePipelineCommand,
    GetMediaInsightsPipelineConfigurationCommand: GetMediaInsightsPipelineConfigurationCommand_1.GetMediaInsightsPipelineConfigurationCommand,
    GetMediaPipelineCommand: GetMediaPipelineCommand_1.GetMediaPipelineCommand,
    ListMediaCapturePipelinesCommand: ListMediaCapturePipelinesCommand_1.ListMediaCapturePipelinesCommand,
    ListMediaInsightsPipelineConfigurationsCommand: ListMediaInsightsPipelineConfigurationsCommand_1.ListMediaInsightsPipelineConfigurationsCommand,
    ListMediaPipelinesCommand: ListMediaPipelinesCommand_1.ListMediaPipelinesCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateMediaInsightsPipelineConfigurationCommand: UpdateMediaInsightsPipelineConfigurationCommand_1.UpdateMediaInsightsPipelineConfigurationCommand,
    UpdateMediaInsightsPipelineStatusCommand: UpdateMediaInsightsPipelineStatusCommand_1.UpdateMediaInsightsPipelineStatusCommand,
};
class ChimeSDKMediaPipelines extends ChimeSDKMediaPipelinesClient_1.ChimeSDKMediaPipelinesClient {
}
exports.ChimeSDKMediaPipelines = ChimeSDKMediaPipelines;
(0, smithy_client_1.createAggregatedClient)(commands, ChimeSDKMediaPipelines);
