import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  CreateMediaConcatenationPipelineRequest,
  CreateMediaConcatenationPipelineResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMediaConcatenationPipelineCommandInput
  extends CreateMediaConcatenationPipelineRequest {}
export interface CreateMediaConcatenationPipelineCommandOutput
  extends CreateMediaConcatenationPipelineResponse,
    __MetadataBearer {}
export declare class CreateMediaConcatenationPipelineCommand extends $Command<
  CreateMediaConcatenationPipelineCommandInput,
  CreateMediaConcatenationPipelineCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: CreateMediaConcatenationPipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMediaConcatenationPipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMediaConcatenationPipelineCommandInput,
    CreateMediaConcatenationPipelineCommandOutput
  >;
  private serialize;
  private deserialize;
}
