import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  CreateMediaInsightsPipelineRequest,
  CreateMediaInsightsPipelineResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMediaInsightsPipelineCommandInput
  extends CreateMediaInsightsPipelineRequest {}
export interface CreateMediaInsightsPipelineCommandOutput
  extends CreateMediaInsightsPipelineResponse,
    __MetadataBearer {}
export declare class CreateMediaInsightsPipelineCommand extends $Command<
  CreateMediaInsightsPipelineCommandInput,
  CreateMediaInsightsPipelineCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: CreateMediaInsightsPipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMediaInsightsPipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMediaInsightsPipelineCommandInput,
    CreateMediaInsightsPipelineCommandOutput
  >;
  private serialize;
  private deserialize;
}
