import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  CreateMediaInsightsPipelineConfigurationRequest,
  CreateMediaInsightsPipelineConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMediaInsightsPipelineConfigurationCommandInput
  extends CreateMediaInsightsPipelineConfigurationRequest {}
export interface CreateMediaInsightsPipelineConfigurationCommandOutput
  extends CreateMediaInsightsPipelineConfigurationResponse,
    __MetadataBearer {}
export declare class CreateMediaInsightsPipelineConfigurationCommand extends $Command<
  CreateMediaInsightsPipelineConfigurationCommandInput,
  CreateMediaInsightsPipelineConfigurationCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: CreateMediaInsightsPipelineConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMediaInsightsPipelineConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMediaInsightsPipelineConfigurationCommandInput,
    CreateMediaInsightsPipelineConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
