import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  CreateMediaLiveConnectorPipelineRequest,
  CreateMediaLiveConnectorPipelineResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMediaLiveConnectorPipelineCommandInput
  extends CreateMediaLiveConnectorPipelineRequest {}
export interface CreateMediaLiveConnectorPipelineCommandOutput
  extends CreateMediaLiveConnectorPipelineResponse,
    __MetadataBearer {}
export declare class CreateMediaLiveConnectorPipelineCommand extends $Command<
  CreateMediaLiveConnectorPipelineCommandInput,
  CreateMediaLiveConnectorPipelineCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: CreateMediaLiveConnectorPipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMediaLiveConnectorPipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMediaLiveConnectorPipelineCommandInput,
    CreateMediaLiveConnectorPipelineCommandOutput
  >;
  private serialize;
  private deserialize;
}
