import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import { DeleteMediaPipelineRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteMediaPipelineCommandInput
  extends DeleteMediaPipelineRequest {}
export interface DeleteMediaPipelineCommandOutput extends __MetadataBearer {}
export declare class DeleteMediaPipelineCommand extends $Command<
  DeleteMediaPipelineCommandInput,
  DeleteMediaPipelineCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: DeleteMediaPipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteMediaPipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteMediaPipelineCommandInput, DeleteMediaPipelineCommandOutput>;
  private serialize;
  private deserialize;
}
