import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  GetMediaInsightsPipelineConfigurationRequest,
  GetMediaInsightsPipelineConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetMediaInsightsPipelineConfigurationCommandInput
  extends GetMediaInsightsPipelineConfigurationRequest {}
export interface GetMediaInsightsPipelineConfigurationCommandOutput
  extends GetMediaInsightsPipelineConfigurationResponse,
    __MetadataBearer {}
export declare class GetMediaInsightsPipelineConfigurationCommand extends $Command<
  GetMediaInsightsPipelineConfigurationCommandInput,
  GetMediaInsightsPipelineConfigurationCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: GetMediaInsightsPipelineConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetMediaInsightsPipelineConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetMediaInsightsPipelineConfigurationCommandInput,
    GetMediaInsightsPipelineConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
