import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  ListMediaPipelinesRequest,
  ListMediaPipelinesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListMediaPipelinesCommandInput
  extends ListMediaPipelinesRequest {}
export interface ListMediaPipelinesCommandOutput
  extends ListMediaPipelinesResponse,
    __MetadataBearer {}
export declare class ListMediaPipelinesCommand extends $Command<
  ListMediaPipelinesCommandInput,
  ListMediaPipelinesCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: ListMediaPipelinesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListMediaPipelinesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListMediaPipelinesCommandInput, ListMediaPipelinesCommandOutput>;
  private serialize;
  private deserialize;
}
