import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { AssociateChannelFlowRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateChannelFlowCommandInput
  extends AssociateChannelFlowRequest {}
export interface AssociateChannelFlowCommandOutput extends __MetadataBearer {}
export declare class AssociateChannelFlowCommand extends $Command<
  AssociateChannelFlowCommandInput,
  AssociateChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: AssociateChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateChannelFlowCommandInput,
    AssociateChannelFlowCommandOutput
  >;
  private serialize;
  private deserialize;
}
