import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  BatchCreateChannelMembershipRequest,
  BatchCreateChannelMembershipResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchCreateChannelMembershipCommandInput
  extends BatchCreateChannelMembershipRequest {}
export interface BatchCreateChannelMembershipCommandOutput
  extends BatchCreateChannelMembershipResponse,
    __MetadataBearer {}
export declare class BatchCreateChannelMembershipCommand extends $Command<
  BatchCreateChannelMembershipCommandInput,
  BatchCreateChannelMembershipCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: BatchCreateChannelMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchCreateChannelMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchCreateChannelMembershipCommandInput,
    BatchCreateChannelMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
