import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  ChannelFlowCallbackRequest,
  ChannelFlowCallbackResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ChannelFlowCallbackCommandInput
  extends ChannelFlowCallbackRequest {}
export interface ChannelFlowCallbackCommandOutput
  extends ChannelFlowCallbackResponse,
    __MetadataBearer {}
export declare class ChannelFlowCallbackCommand extends $Command<
  ChannelFlowCallbackCommandInput,
  ChannelFlowCallbackCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: ChannelFlowCallbackCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ChannelFlowCallbackCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ChannelFlowCallbackCommandInput, ChannelFlowCallbackCommandOutput>;
  private serialize;
  private deserialize;
}
