import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  CreateChannelMembershipRequest,
  CreateChannelMembershipResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateChannelMembershipCommandInput
  extends CreateChannelMembershipRequest {}
export interface CreateChannelMembershipCommandOutput
  extends CreateChannelMembershipResponse,
    __MetadataBearer {}
export declare class CreateChannelMembershipCommand extends $Command<
  CreateChannelMembershipCommandInput,
  CreateChannelMembershipCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: CreateChannelMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateChannelMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateChannelMembershipCommandInput,
    CreateChannelMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
