import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { DeleteChannelModeratorRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelModeratorCommandInput
  extends DeleteChannelModeratorRequest {}
export interface DeleteChannelModeratorCommandOutput extends __MetadataBearer {}
export declare class DeleteChannelModeratorCommand extends $Command<
  DeleteChannelModeratorCommandInput,
  DeleteChannelModeratorCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DeleteChannelModeratorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteChannelModeratorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteChannelModeratorCommandInput,
    DeleteChannelModeratorCommandOutput
  >;
  private serialize;
  private deserialize;
}
