import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  DescribeChannelFlowRequest,
  DescribeChannelFlowResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeChannelFlowCommandInput
  extends DescribeChannelFlowRequest {}
export interface DescribeChannelFlowCommandOutput
  extends DescribeChannelFlowResponse,
    __MetadataBearer {}
export declare class DescribeChannelFlowCommand extends $Command<
  DescribeChannelFlowCommandInput,
  DescribeChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DescribeChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeChannelFlowCommandInput, DescribeChannelFlowCommandOutput>;
  private serialize;
  private deserialize;
}
