import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { DisassociateChannelFlowRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DisassociateChannelFlowCommandInput
  extends DisassociateChannelFlowRequest {}
export interface DisassociateChannelFlowCommandOutput
  extends __MetadataBearer {}
export declare class DisassociateChannelFlowCommand extends $Command<
  DisassociateChannelFlowCommandInput,
  DisassociateChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DisassociateChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateChannelFlowCommandInput,
    DisassociateChannelFlowCommandOutput
  >;
  private serialize;
  private deserialize;
}
