import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  GetChannelMembershipPreferencesRequest,
  GetChannelMembershipPreferencesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelMembershipPreferencesCommandInput
  extends GetChannelMembershipPreferencesRequest {}
export interface GetChannelMembershipPreferencesCommandOutput
  extends GetChannelMembershipPreferencesResponse,
    __MetadataBearer {}
export declare class GetChannelMembershipPreferencesCommand extends $Command<
  GetChannelMembershipPreferencesCommandInput,
  GetChannelMembershipPreferencesCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: GetChannelMembershipPreferencesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetChannelMembershipPreferencesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetChannelMembershipPreferencesCommandInput,
    GetChannelMembershipPreferencesCommandOutput
  >;
  private serialize;
  private deserialize;
}
