import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  ListChannelFlowsRequest,
  ListChannelFlowsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListChannelFlowsCommandInput extends ListChannelFlowsRequest {}
export interface ListChannelFlowsCommandOutput
  extends ListChannelFlowsResponse,
    __MetadataBearer {}
export declare class ListChannelFlowsCommand extends $Command<
  ListChannelFlowsCommandInput,
  ListChannelFlowsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: ListChannelFlowsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelFlowsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListChannelFlowsCommandInput, ListChannelFlowsCommandOutput>;
  private serialize;
  private deserialize;
}
