import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  ListChannelsAssociatedWithChannelFlowRequest,
  ListChannelsAssociatedWithChannelFlowResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListChannelsAssociatedWithChannelFlowCommandInput
  extends ListChannelsAssociatedWithChannelFlowRequest {}
export interface ListChannelsAssociatedWithChannelFlowCommandOutput
  extends ListChannelsAssociatedWithChannelFlowResponse,
    __MetadataBearer {}
export declare class ListChannelsAssociatedWithChannelFlowCommand extends $Command<
  ListChannelsAssociatedWithChannelFlowCommandInput,
  ListChannelsAssociatedWithChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: ListChannelsAssociatedWithChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelsAssociatedWithChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListChannelsAssociatedWithChannelFlowCommandInput,
    ListChannelsAssociatedWithChannelFlowCommandOutput
  >;
  private serialize;
  private deserialize;
}
