import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  ListSubChannelsRequest,
  ListSubChannelsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListSubChannelsCommandInput extends ListSubChannelsRequest {}
export interface ListSubChannelsCommandOutput
  extends ListSubChannelsResponse,
    __MetadataBearer {}
export declare class ListSubChannelsCommand extends $Command<
  ListSubChannelsCommandInput,
  ListSubChannelsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: ListSubChannelsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListSubChannelsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListSubChannelsCommandInput, ListSubChannelsCommandOutput>;
  private serialize;
  private deserialize;
}
