import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  PutChannelMembershipPreferencesRequest,
  PutChannelMembershipPreferencesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutChannelMembershipPreferencesCommandInput
  extends PutChannelMembershipPreferencesRequest {}
export interface PutChannelMembershipPreferencesCommandOutput
  extends PutChannelMembershipPreferencesResponse,
    __MetadataBearer {}
export declare class PutChannelMembershipPreferencesCommand extends $Command<
  PutChannelMembershipPreferencesCommandInput,
  PutChannelMembershipPreferencesCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: PutChannelMembershipPreferencesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutChannelMembershipPreferencesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutChannelMembershipPreferencesCommandInput,
    PutChannelMembershipPreferencesCommandOutput
  >;
  private serialize;
  private deserialize;
}
