import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  RedactChannelMessageRequest,
  RedactChannelMessageResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RedactChannelMessageCommandInput
  extends RedactChannelMessageRequest {}
export interface RedactChannelMessageCommandOutput
  extends RedactChannelMessageResponse,
    __MetadataBearer {}
export declare class RedactChannelMessageCommand extends $Command<
  RedactChannelMessageCommandInput,
  RedactChannelMessageCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: RedactChannelMessageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RedactChannelMessageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RedactChannelMessageCommandInput,
    RedactChannelMessageCommandOutput
  >;
  private serialize;
  private deserialize;
}
