import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  UpdateChannelFlowRequest,
  UpdateChannelFlowResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateChannelFlowCommandInput
  extends UpdateChannelFlowRequest {}
export interface UpdateChannelFlowCommandOutput
  extends UpdateChannelFlowResponse,
    __MetadataBearer {}
export declare class UpdateChannelFlowCommand extends $Command<
  UpdateChannelFlowCommandInput,
  UpdateChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: UpdateChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateChannelFlowCommandInput, UpdateChannelFlowCommandOutput>;
  private serialize;
  private deserialize;
}
