import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  UpdateChannelMessageRequest,
  UpdateChannelMessageResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateChannelMessageCommandInput
  extends UpdateChannelMessageRequest {}
export interface UpdateChannelMessageCommandOutput
  extends UpdateChannelMessageResponse,
    __MetadataBearer {}
export declare class UpdateChannelMessageCommand extends $Command<
  UpdateChannelMessageCommandInput,
  UpdateChannelMessageCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: UpdateChannelMessageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateChannelMessageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateChannelMessageCommandInput,
    UpdateChannelMessageCommandOutput
  >;
  private serialize;
  private deserialize;
}
