import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  UpdateChannelReadMarkerRequest,
  UpdateChannelReadMarkerResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateChannelReadMarkerCommandInput
  extends UpdateChannelReadMarkerRequest {}
export interface UpdateChannelReadMarkerCommandOutput
  extends UpdateChannelReadMarkerResponse,
    __MetadataBearer {}
export declare class UpdateChannelReadMarkerCommand extends $Command<
  UpdateChannelReadMarkerCommandInput,
  UpdateChannelReadMarkerCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: UpdateChannelReadMarkerCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateChannelReadMarkerCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateChannelReadMarkerCommandInput,
    UpdateChannelReadMarkerCommandOutput
  >;
  private serialize;
  private deserialize;
}
