"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChimeSDKVoice = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const ChimeSDKVoiceClient_1 = require("./ChimeSDKVoiceClient");
const AssociatePhoneNumbersWithVoiceConnectorCommand_1 = require("./commands/AssociatePhoneNumbersWithVoiceConnectorCommand");
const AssociatePhoneNumbersWithVoiceConnectorGroupCommand_1 = require("./commands/AssociatePhoneNumbersWithVoiceConnectorGroupCommand");
const BatchDeletePhoneNumberCommand_1 = require("./commands/BatchDeletePhoneNumberCommand");
const BatchUpdatePhoneNumberCommand_1 = require("./commands/BatchUpdatePhoneNumberCommand");
const CreatePhoneNumberOrderCommand_1 = require("./commands/CreatePhoneNumberOrderCommand");
const CreateProxySessionCommand_1 = require("./commands/CreateProxySessionCommand");
const CreateSipMediaApplicationCallCommand_1 = require("./commands/CreateSipMediaApplicationCallCommand");
const CreateSipMediaApplicationCommand_1 = require("./commands/CreateSipMediaApplicationCommand");
const CreateSipRuleCommand_1 = require("./commands/CreateSipRuleCommand");
const CreateVoiceConnectorCommand_1 = require("./commands/CreateVoiceConnectorCommand");
const CreateVoiceConnectorGroupCommand_1 = require("./commands/CreateVoiceConnectorGroupCommand");
const CreateVoiceProfileCommand_1 = require("./commands/CreateVoiceProfileCommand");
const CreateVoiceProfileDomainCommand_1 = require("./commands/CreateVoiceProfileDomainCommand");
const DeletePhoneNumberCommand_1 = require("./commands/DeletePhoneNumberCommand");
const DeleteProxySessionCommand_1 = require("./commands/DeleteProxySessionCommand");
const DeleteSipMediaApplicationCommand_1 = require("./commands/DeleteSipMediaApplicationCommand");
const DeleteSipRuleCommand_1 = require("./commands/DeleteSipRuleCommand");
const DeleteVoiceConnectorCommand_1 = require("./commands/DeleteVoiceConnectorCommand");
const DeleteVoiceConnectorEmergencyCallingConfigurationCommand_1 = require("./commands/DeleteVoiceConnectorEmergencyCallingConfigurationCommand");
const DeleteVoiceConnectorGroupCommand_1 = require("./commands/DeleteVoiceConnectorGroupCommand");
const DeleteVoiceConnectorOriginationCommand_1 = require("./commands/DeleteVoiceConnectorOriginationCommand");
const DeleteVoiceConnectorProxyCommand_1 = require("./commands/DeleteVoiceConnectorProxyCommand");
const DeleteVoiceConnectorStreamingConfigurationCommand_1 = require("./commands/DeleteVoiceConnectorStreamingConfigurationCommand");
const DeleteVoiceConnectorTerminationCommand_1 = require("./commands/DeleteVoiceConnectorTerminationCommand");
const DeleteVoiceConnectorTerminationCredentialsCommand_1 = require("./commands/DeleteVoiceConnectorTerminationCredentialsCommand");
const DeleteVoiceProfileCommand_1 = require("./commands/DeleteVoiceProfileCommand");
const DeleteVoiceProfileDomainCommand_1 = require("./commands/DeleteVoiceProfileDomainCommand");
const DisassociatePhoneNumbersFromVoiceConnectorCommand_1 = require("./commands/DisassociatePhoneNumbersFromVoiceConnectorCommand");
const DisassociatePhoneNumbersFromVoiceConnectorGroupCommand_1 = require("./commands/DisassociatePhoneNumbersFromVoiceConnectorGroupCommand");
const GetGlobalSettingsCommand_1 = require("./commands/GetGlobalSettingsCommand");
const GetPhoneNumberCommand_1 = require("./commands/GetPhoneNumberCommand");
const GetPhoneNumberOrderCommand_1 = require("./commands/GetPhoneNumberOrderCommand");
const GetPhoneNumberSettingsCommand_1 = require("./commands/GetPhoneNumberSettingsCommand");
const GetProxySessionCommand_1 = require("./commands/GetProxySessionCommand");
const GetSipMediaApplicationAlexaSkillConfigurationCommand_1 = require("./commands/GetSipMediaApplicationAlexaSkillConfigurationCommand");
const GetSipMediaApplicationCommand_1 = require("./commands/GetSipMediaApplicationCommand");
const GetSipMediaApplicationLoggingConfigurationCommand_1 = require("./commands/GetSipMediaApplicationLoggingConfigurationCommand");
const GetSipRuleCommand_1 = require("./commands/GetSipRuleCommand");
const GetSpeakerSearchTaskCommand_1 = require("./commands/GetSpeakerSearchTaskCommand");
const GetVoiceConnectorCommand_1 = require("./commands/GetVoiceConnectorCommand");
const GetVoiceConnectorEmergencyCallingConfigurationCommand_1 = require("./commands/GetVoiceConnectorEmergencyCallingConfigurationCommand");
const GetVoiceConnectorGroupCommand_1 = require("./commands/GetVoiceConnectorGroupCommand");
const GetVoiceConnectorLoggingConfigurationCommand_1 = require("./commands/GetVoiceConnectorLoggingConfigurationCommand");
const GetVoiceConnectorOriginationCommand_1 = require("./commands/GetVoiceConnectorOriginationCommand");
const GetVoiceConnectorProxyCommand_1 = require("./commands/GetVoiceConnectorProxyCommand");
const GetVoiceConnectorStreamingConfigurationCommand_1 = require("./commands/GetVoiceConnectorStreamingConfigurationCommand");
const GetVoiceConnectorTerminationCommand_1 = require("./commands/GetVoiceConnectorTerminationCommand");
const GetVoiceConnectorTerminationHealthCommand_1 = require("./commands/GetVoiceConnectorTerminationHealthCommand");
const GetVoiceProfileCommand_1 = require("./commands/GetVoiceProfileCommand");
const GetVoiceProfileDomainCommand_1 = require("./commands/GetVoiceProfileDomainCommand");
const GetVoiceToneAnalysisTaskCommand_1 = require("./commands/GetVoiceToneAnalysisTaskCommand");
const ListAvailableVoiceConnectorRegionsCommand_1 = require("./commands/ListAvailableVoiceConnectorRegionsCommand");
const ListPhoneNumberOrdersCommand_1 = require("./commands/ListPhoneNumberOrdersCommand");
const ListPhoneNumbersCommand_1 = require("./commands/ListPhoneNumbersCommand");
const ListProxySessionsCommand_1 = require("./commands/ListProxySessionsCommand");
const ListSipMediaApplicationsCommand_1 = require("./commands/ListSipMediaApplicationsCommand");
const ListSipRulesCommand_1 = require("./commands/ListSipRulesCommand");
const ListSupportedPhoneNumberCountriesCommand_1 = require("./commands/ListSupportedPhoneNumberCountriesCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ListVoiceConnectorGroupsCommand_1 = require("./commands/ListVoiceConnectorGroupsCommand");
const ListVoiceConnectorsCommand_1 = require("./commands/ListVoiceConnectorsCommand");
const ListVoiceConnectorTerminationCredentialsCommand_1 = require("./commands/ListVoiceConnectorTerminationCredentialsCommand");
const ListVoiceProfileDomainsCommand_1 = require("./commands/ListVoiceProfileDomainsCommand");
const ListVoiceProfilesCommand_1 = require("./commands/ListVoiceProfilesCommand");
const PutSipMediaApplicationAlexaSkillConfigurationCommand_1 = require("./commands/PutSipMediaApplicationAlexaSkillConfigurationCommand");
const PutSipMediaApplicationLoggingConfigurationCommand_1 = require("./commands/PutSipMediaApplicationLoggingConfigurationCommand");
const PutVoiceConnectorEmergencyCallingConfigurationCommand_1 = require("./commands/PutVoiceConnectorEmergencyCallingConfigurationCommand");
const PutVoiceConnectorLoggingConfigurationCommand_1 = require("./commands/PutVoiceConnectorLoggingConfigurationCommand");
const PutVoiceConnectorOriginationCommand_1 = require("./commands/PutVoiceConnectorOriginationCommand");
const PutVoiceConnectorProxyCommand_1 = require("./commands/PutVoiceConnectorProxyCommand");
const PutVoiceConnectorStreamingConfigurationCommand_1 = require("./commands/PutVoiceConnectorStreamingConfigurationCommand");
const PutVoiceConnectorTerminationCommand_1 = require("./commands/PutVoiceConnectorTerminationCommand");
const PutVoiceConnectorTerminationCredentialsCommand_1 = require("./commands/PutVoiceConnectorTerminationCredentialsCommand");
const RestorePhoneNumberCommand_1 = require("./commands/RestorePhoneNumberCommand");
const SearchAvailablePhoneNumbersCommand_1 = require("./commands/SearchAvailablePhoneNumbersCommand");
const StartSpeakerSearchTaskCommand_1 = require("./commands/StartSpeakerSearchTaskCommand");
const StartVoiceToneAnalysisTaskCommand_1 = require("./commands/StartVoiceToneAnalysisTaskCommand");
const StopSpeakerSearchTaskCommand_1 = require("./commands/StopSpeakerSearchTaskCommand");
const StopVoiceToneAnalysisTaskCommand_1 = require("./commands/StopVoiceToneAnalysisTaskCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateGlobalSettingsCommand_1 = require("./commands/UpdateGlobalSettingsCommand");
const UpdatePhoneNumberCommand_1 = require("./commands/UpdatePhoneNumberCommand");
const UpdatePhoneNumberSettingsCommand_1 = require("./commands/UpdatePhoneNumberSettingsCommand");
const UpdateProxySessionCommand_1 = require("./commands/UpdateProxySessionCommand");
const UpdateSipMediaApplicationCallCommand_1 = require("./commands/UpdateSipMediaApplicationCallCommand");
const UpdateSipMediaApplicationCommand_1 = require("./commands/UpdateSipMediaApplicationCommand");
const UpdateSipRuleCommand_1 = require("./commands/UpdateSipRuleCommand");
const UpdateVoiceConnectorCommand_1 = require("./commands/UpdateVoiceConnectorCommand");
const UpdateVoiceConnectorGroupCommand_1 = require("./commands/UpdateVoiceConnectorGroupCommand");
const UpdateVoiceProfileCommand_1 = require("./commands/UpdateVoiceProfileCommand");
const UpdateVoiceProfileDomainCommand_1 = require("./commands/UpdateVoiceProfileDomainCommand");
const ValidateE911AddressCommand_1 = require("./commands/ValidateE911AddressCommand");
const commands = {
    AssociatePhoneNumbersWithVoiceConnectorCommand: AssociatePhoneNumbersWithVoiceConnectorCommand_1.AssociatePhoneNumbersWithVoiceConnectorCommand,
    AssociatePhoneNumbersWithVoiceConnectorGroupCommand: AssociatePhoneNumbersWithVoiceConnectorGroupCommand_1.AssociatePhoneNumbersWithVoiceConnectorGroupCommand,
    BatchDeletePhoneNumberCommand: BatchDeletePhoneNumberCommand_1.BatchDeletePhoneNumberCommand,
    BatchUpdatePhoneNumberCommand: BatchUpdatePhoneNumberCommand_1.BatchUpdatePhoneNumberCommand,
    CreatePhoneNumberOrderCommand: CreatePhoneNumberOrderCommand_1.CreatePhoneNumberOrderCommand,
    CreateProxySessionCommand: CreateProxySessionCommand_1.CreateProxySessionCommand,
    CreateSipMediaApplicationCommand: CreateSipMediaApplicationCommand_1.CreateSipMediaApplicationCommand,
    CreateSipMediaApplicationCallCommand: CreateSipMediaApplicationCallCommand_1.CreateSipMediaApplicationCallCommand,
    CreateSipRuleCommand: CreateSipRuleCommand_1.CreateSipRuleCommand,
    CreateVoiceConnectorCommand: CreateVoiceConnectorCommand_1.CreateVoiceConnectorCommand,
    CreateVoiceConnectorGroupCommand: CreateVoiceConnectorGroupCommand_1.CreateVoiceConnectorGroupCommand,
    CreateVoiceProfileCommand: CreateVoiceProfileCommand_1.CreateVoiceProfileCommand,
    CreateVoiceProfileDomainCommand: CreateVoiceProfileDomainCommand_1.CreateVoiceProfileDomainCommand,
    DeletePhoneNumberCommand: DeletePhoneNumberCommand_1.DeletePhoneNumberCommand,
    DeleteProxySessionCommand: DeleteProxySessionCommand_1.DeleteProxySessionCommand,
    DeleteSipMediaApplicationCommand: DeleteSipMediaApplicationCommand_1.DeleteSipMediaApplicationCommand,
    DeleteSipRuleCommand: DeleteSipRuleCommand_1.DeleteSipRuleCommand,
    DeleteVoiceConnectorCommand: DeleteVoiceConnectorCommand_1.DeleteVoiceConnectorCommand,
    DeleteVoiceConnectorEmergencyCallingConfigurationCommand: DeleteVoiceConnectorEmergencyCallingConfigurationCommand_1.DeleteVoiceConnectorEmergencyCallingConfigurationCommand,
    DeleteVoiceConnectorGroupCommand: DeleteVoiceConnectorGroupCommand_1.DeleteVoiceConnectorGroupCommand,
    DeleteVoiceConnectorOriginationCommand: DeleteVoiceConnectorOriginationCommand_1.DeleteVoiceConnectorOriginationCommand,
    DeleteVoiceConnectorProxyCommand: DeleteVoiceConnectorProxyCommand_1.DeleteVoiceConnectorProxyCommand,
    DeleteVoiceConnectorStreamingConfigurationCommand: DeleteVoiceConnectorStreamingConfigurationCommand_1.DeleteVoiceConnectorStreamingConfigurationCommand,
    DeleteVoiceConnectorTerminationCommand: DeleteVoiceConnectorTerminationCommand_1.DeleteVoiceConnectorTerminationCommand,
    DeleteVoiceConnectorTerminationCredentialsCommand: DeleteVoiceConnectorTerminationCredentialsCommand_1.DeleteVoiceConnectorTerminationCredentialsCommand,
    DeleteVoiceProfileCommand: DeleteVoiceProfileCommand_1.DeleteVoiceProfileCommand,
    DeleteVoiceProfileDomainCommand: DeleteVoiceProfileDomainCommand_1.DeleteVoiceProfileDomainCommand,
    DisassociatePhoneNumbersFromVoiceConnectorCommand: DisassociatePhoneNumbersFromVoiceConnectorCommand_1.DisassociatePhoneNumbersFromVoiceConnectorCommand,
    DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: DisassociatePhoneNumbersFromVoiceConnectorGroupCommand_1.DisassociatePhoneNumbersFromVoiceConnectorGroupCommand,
    GetGlobalSettingsCommand: GetGlobalSettingsCommand_1.GetGlobalSettingsCommand,
    GetPhoneNumberCommand: GetPhoneNumberCommand_1.GetPhoneNumberCommand,
    GetPhoneNumberOrderCommand: GetPhoneNumberOrderCommand_1.GetPhoneNumberOrderCommand,
    GetPhoneNumberSettingsCommand: GetPhoneNumberSettingsCommand_1.GetPhoneNumberSettingsCommand,
    GetProxySessionCommand: GetProxySessionCommand_1.GetProxySessionCommand,
    GetSipMediaApplicationCommand: GetSipMediaApplicationCommand_1.GetSipMediaApplicationCommand,
    GetSipMediaApplicationAlexaSkillConfigurationCommand: GetSipMediaApplicationAlexaSkillConfigurationCommand_1.GetSipMediaApplicationAlexaSkillConfigurationCommand,
    GetSipMediaApplicationLoggingConfigurationCommand: GetSipMediaApplicationLoggingConfigurationCommand_1.GetSipMediaApplicationLoggingConfigurationCommand,
    GetSipRuleCommand: GetSipRuleCommand_1.GetSipRuleCommand,
    GetSpeakerSearchTaskCommand: GetSpeakerSearchTaskCommand_1.GetSpeakerSearchTaskCommand,
    GetVoiceConnectorCommand: GetVoiceConnectorCommand_1.GetVoiceConnectorCommand,
    GetVoiceConnectorEmergencyCallingConfigurationCommand: GetVoiceConnectorEmergencyCallingConfigurationCommand_1.GetVoiceConnectorEmergencyCallingConfigurationCommand,
    GetVoiceConnectorGroupCommand: GetVoiceConnectorGroupCommand_1.GetVoiceConnectorGroupCommand,
    GetVoiceConnectorLoggingConfigurationCommand: GetVoiceConnectorLoggingConfigurationCommand_1.GetVoiceConnectorLoggingConfigurationCommand,
    GetVoiceConnectorOriginationCommand: GetVoiceConnectorOriginationCommand_1.GetVoiceConnectorOriginationCommand,
    GetVoiceConnectorProxyCommand: GetVoiceConnectorProxyCommand_1.GetVoiceConnectorProxyCommand,
    GetVoiceConnectorStreamingConfigurationCommand: GetVoiceConnectorStreamingConfigurationCommand_1.GetVoiceConnectorStreamingConfigurationCommand,
    GetVoiceConnectorTerminationCommand: GetVoiceConnectorTerminationCommand_1.GetVoiceConnectorTerminationCommand,
    GetVoiceConnectorTerminationHealthCommand: GetVoiceConnectorTerminationHealthCommand_1.GetVoiceConnectorTerminationHealthCommand,
    GetVoiceProfileCommand: GetVoiceProfileCommand_1.GetVoiceProfileCommand,
    GetVoiceProfileDomainCommand: GetVoiceProfileDomainCommand_1.GetVoiceProfileDomainCommand,
    GetVoiceToneAnalysisTaskCommand: GetVoiceToneAnalysisTaskCommand_1.GetVoiceToneAnalysisTaskCommand,
    ListAvailableVoiceConnectorRegionsCommand: ListAvailableVoiceConnectorRegionsCommand_1.ListAvailableVoiceConnectorRegionsCommand,
    ListPhoneNumberOrdersCommand: ListPhoneNumberOrdersCommand_1.ListPhoneNumberOrdersCommand,
    ListPhoneNumbersCommand: ListPhoneNumbersCommand_1.ListPhoneNumbersCommand,
    ListProxySessionsCommand: ListProxySessionsCommand_1.ListProxySessionsCommand,
    ListSipMediaApplicationsCommand: ListSipMediaApplicationsCommand_1.ListSipMediaApplicationsCommand,
    ListSipRulesCommand: ListSipRulesCommand_1.ListSipRulesCommand,
    ListSupportedPhoneNumberCountriesCommand: ListSupportedPhoneNumberCountriesCommand_1.ListSupportedPhoneNumberCountriesCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    ListVoiceConnectorGroupsCommand: ListVoiceConnectorGroupsCommand_1.ListVoiceConnectorGroupsCommand,
    ListVoiceConnectorsCommand: ListVoiceConnectorsCommand_1.ListVoiceConnectorsCommand,
    ListVoiceConnectorTerminationCredentialsCommand: ListVoiceConnectorTerminationCredentialsCommand_1.ListVoiceConnectorTerminationCredentialsCommand,
    ListVoiceProfileDomainsCommand: ListVoiceProfileDomainsCommand_1.ListVoiceProfileDomainsCommand,
    ListVoiceProfilesCommand: ListVoiceProfilesCommand_1.ListVoiceProfilesCommand,
    PutSipMediaApplicationAlexaSkillConfigurationCommand: PutSipMediaApplicationAlexaSkillConfigurationCommand_1.PutSipMediaApplicationAlexaSkillConfigurationCommand,
    PutSipMediaApplicationLoggingConfigurationCommand: PutSipMediaApplicationLoggingConfigurationCommand_1.PutSipMediaApplicationLoggingConfigurationCommand,
    PutVoiceConnectorEmergencyCallingConfigurationCommand: PutVoiceConnectorEmergencyCallingConfigurationCommand_1.PutVoiceConnectorEmergencyCallingConfigurationCommand,
    PutVoiceConnectorLoggingConfigurationCommand: PutVoiceConnectorLoggingConfigurationCommand_1.PutVoiceConnectorLoggingConfigurationCommand,
    PutVoiceConnectorOriginationCommand: PutVoiceConnectorOriginationCommand_1.PutVoiceConnectorOriginationCommand,
    PutVoiceConnectorProxyCommand: PutVoiceConnectorProxyCommand_1.PutVoiceConnectorProxyCommand,
    PutVoiceConnectorStreamingConfigurationCommand: PutVoiceConnectorStreamingConfigurationCommand_1.PutVoiceConnectorStreamingConfigurationCommand,
    PutVoiceConnectorTerminationCommand: PutVoiceConnectorTerminationCommand_1.PutVoiceConnectorTerminationCommand,
    PutVoiceConnectorTerminationCredentialsCommand: PutVoiceConnectorTerminationCredentialsCommand_1.PutVoiceConnectorTerminationCredentialsCommand,
    RestorePhoneNumberCommand: RestorePhoneNumberCommand_1.RestorePhoneNumberCommand,
    SearchAvailablePhoneNumbersCommand: SearchAvailablePhoneNumbersCommand_1.SearchAvailablePhoneNumbersCommand,
    StartSpeakerSearchTaskCommand: StartSpeakerSearchTaskCommand_1.StartSpeakerSearchTaskCommand,
    StartVoiceToneAnalysisTaskCommand: StartVoiceToneAnalysisTaskCommand_1.StartVoiceToneAnalysisTaskCommand,
    StopSpeakerSearchTaskCommand: StopSpeakerSearchTaskCommand_1.StopSpeakerSearchTaskCommand,
    StopVoiceToneAnalysisTaskCommand: StopVoiceToneAnalysisTaskCommand_1.StopVoiceToneAnalysisTaskCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateGlobalSettingsCommand: UpdateGlobalSettingsCommand_1.UpdateGlobalSettingsCommand,
    UpdatePhoneNumberCommand: UpdatePhoneNumberCommand_1.UpdatePhoneNumberCommand,
    UpdatePhoneNumberSettingsCommand: UpdatePhoneNumberSettingsCommand_1.UpdatePhoneNumberSettingsCommand,
    UpdateProxySessionCommand: UpdateProxySessionCommand_1.UpdateProxySessionCommand,
    UpdateSipMediaApplicationCommand: UpdateSipMediaApplicationCommand_1.UpdateSipMediaApplicationCommand,
    UpdateSipMediaApplicationCallCommand: UpdateSipMediaApplicationCallCommand_1.UpdateSipMediaApplicationCallCommand,
    UpdateSipRuleCommand: UpdateSipRuleCommand_1.UpdateSipRuleCommand,
    UpdateVoiceConnectorCommand: UpdateVoiceConnectorCommand_1.UpdateVoiceConnectorCommand,
    UpdateVoiceConnectorGroupCommand: UpdateVoiceConnectorGroupCommand_1.UpdateVoiceConnectorGroupCommand,
    UpdateVoiceProfileCommand: UpdateVoiceProfileCommand_1.UpdateVoiceProfileCommand,
    UpdateVoiceProfileDomainCommand: UpdateVoiceProfileDomainCommand_1.UpdateVoiceProfileDomainCommand,
    ValidateE911AddressCommand: ValidateE911AddressCommand_1.ValidateE911AddressCommand,
};
class ChimeSDKVoice extends ChimeSDKVoiceClient_1.ChimeSDKVoiceClient {
}
exports.ChimeSDKVoice = ChimeSDKVoice;
(0, smithy_client_1.createAggregatedClient)(commands, ChimeSDKVoice);
