import { createAggregatedClient } from "@aws-sdk/smithy-client";
import { ChimeSDKVoiceClient } from "./ChimeSDKVoiceClient";
import { AssociatePhoneNumbersWithVoiceConnectorCommand, } from "./commands/AssociatePhoneNumbersWithVoiceConnectorCommand";
import { AssociatePhoneNumbersWithVoiceConnectorGroupCommand, } from "./commands/AssociatePhoneNumbersWithVoiceConnectorGroupCommand";
import { BatchDeletePhoneNumberCommand, } from "./commands/BatchDeletePhoneNumberCommand";
import { BatchUpdatePhoneNumberCommand, } from "./commands/BatchUpdatePhoneNumberCommand";
import { CreatePhoneNumberOrderCommand, } from "./commands/CreatePhoneNumberOrderCommand";
import { CreateProxySessionCommand, } from "./commands/CreateProxySessionCommand";
import { CreateSipMediaApplicationCallCommand, } from "./commands/CreateSipMediaApplicationCallCommand";
import { CreateSipMediaApplicationCommand, } from "./commands/CreateSipMediaApplicationCommand";
import { CreateSipRuleCommand, } from "./commands/CreateSipRuleCommand";
import { CreateVoiceConnectorCommand, } from "./commands/CreateVoiceConnectorCommand";
import { CreateVoiceConnectorGroupCommand, } from "./commands/CreateVoiceConnectorGroupCommand";
import { CreateVoiceProfileCommand, } from "./commands/CreateVoiceProfileCommand";
import { CreateVoiceProfileDomainCommand, } from "./commands/CreateVoiceProfileDomainCommand";
import { DeletePhoneNumberCommand, } from "./commands/DeletePhoneNumberCommand";
import { DeleteProxySessionCommand, } from "./commands/DeleteProxySessionCommand";
import { DeleteSipMediaApplicationCommand, } from "./commands/DeleteSipMediaApplicationCommand";
import { DeleteSipRuleCommand, } from "./commands/DeleteSipRuleCommand";
import { DeleteVoiceConnectorCommand, } from "./commands/DeleteVoiceConnectorCommand";
import { DeleteVoiceConnectorEmergencyCallingConfigurationCommand, } from "./commands/DeleteVoiceConnectorEmergencyCallingConfigurationCommand";
import { DeleteVoiceConnectorGroupCommand, } from "./commands/DeleteVoiceConnectorGroupCommand";
import { DeleteVoiceConnectorOriginationCommand, } from "./commands/DeleteVoiceConnectorOriginationCommand";
import { DeleteVoiceConnectorProxyCommand, } from "./commands/DeleteVoiceConnectorProxyCommand";
import { DeleteVoiceConnectorStreamingConfigurationCommand, } from "./commands/DeleteVoiceConnectorStreamingConfigurationCommand";
import { DeleteVoiceConnectorTerminationCommand, } from "./commands/DeleteVoiceConnectorTerminationCommand";
import { DeleteVoiceConnectorTerminationCredentialsCommand, } from "./commands/DeleteVoiceConnectorTerminationCredentialsCommand";
import { DeleteVoiceProfileCommand, } from "./commands/DeleteVoiceProfileCommand";
import { DeleteVoiceProfileDomainCommand, } from "./commands/DeleteVoiceProfileDomainCommand";
import { DisassociatePhoneNumbersFromVoiceConnectorCommand, } from "./commands/DisassociatePhoneNumbersFromVoiceConnectorCommand";
import { DisassociatePhoneNumbersFromVoiceConnectorGroupCommand, } from "./commands/DisassociatePhoneNumbersFromVoiceConnectorGroupCommand";
import { GetGlobalSettingsCommand, } from "./commands/GetGlobalSettingsCommand";
import { GetPhoneNumberCommand, } from "./commands/GetPhoneNumberCommand";
import { GetPhoneNumberOrderCommand, } from "./commands/GetPhoneNumberOrderCommand";
import { GetPhoneNumberSettingsCommand, } from "./commands/GetPhoneNumberSettingsCommand";
import { GetProxySessionCommand, } from "./commands/GetProxySessionCommand";
import { GetSipMediaApplicationAlexaSkillConfigurationCommand, } from "./commands/GetSipMediaApplicationAlexaSkillConfigurationCommand";
import { GetSipMediaApplicationCommand, } from "./commands/GetSipMediaApplicationCommand";
import { GetSipMediaApplicationLoggingConfigurationCommand, } from "./commands/GetSipMediaApplicationLoggingConfigurationCommand";
import { GetSipRuleCommand } from "./commands/GetSipRuleCommand";
import { GetSpeakerSearchTaskCommand, } from "./commands/GetSpeakerSearchTaskCommand";
import { GetVoiceConnectorCommand, } from "./commands/GetVoiceConnectorCommand";
import { GetVoiceConnectorEmergencyCallingConfigurationCommand, } from "./commands/GetVoiceConnectorEmergencyCallingConfigurationCommand";
import { GetVoiceConnectorGroupCommand, } from "./commands/GetVoiceConnectorGroupCommand";
import { GetVoiceConnectorLoggingConfigurationCommand, } from "./commands/GetVoiceConnectorLoggingConfigurationCommand";
import { GetVoiceConnectorOriginationCommand, } from "./commands/GetVoiceConnectorOriginationCommand";
import { GetVoiceConnectorProxyCommand, } from "./commands/GetVoiceConnectorProxyCommand";
import { GetVoiceConnectorStreamingConfigurationCommand, } from "./commands/GetVoiceConnectorStreamingConfigurationCommand";
import { GetVoiceConnectorTerminationCommand, } from "./commands/GetVoiceConnectorTerminationCommand";
import { GetVoiceConnectorTerminationHealthCommand, } from "./commands/GetVoiceConnectorTerminationHealthCommand";
import { GetVoiceProfileCommand, } from "./commands/GetVoiceProfileCommand";
import { GetVoiceProfileDomainCommand, } from "./commands/GetVoiceProfileDomainCommand";
import { GetVoiceToneAnalysisTaskCommand, } from "./commands/GetVoiceToneAnalysisTaskCommand";
import { ListAvailableVoiceConnectorRegionsCommand, } from "./commands/ListAvailableVoiceConnectorRegionsCommand";
import { ListPhoneNumberOrdersCommand, } from "./commands/ListPhoneNumberOrdersCommand";
import { ListPhoneNumbersCommand, } from "./commands/ListPhoneNumbersCommand";
import { ListProxySessionsCommand, } from "./commands/ListProxySessionsCommand";
import { ListSipMediaApplicationsCommand, } from "./commands/ListSipMediaApplicationsCommand";
import { ListSipRulesCommand, } from "./commands/ListSipRulesCommand";
import { ListSupportedPhoneNumberCountriesCommand, } from "./commands/ListSupportedPhoneNumberCountriesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListVoiceConnectorGroupsCommand, } from "./commands/ListVoiceConnectorGroupsCommand";
import { ListVoiceConnectorsCommand, } from "./commands/ListVoiceConnectorsCommand";
import { ListVoiceConnectorTerminationCredentialsCommand, } from "./commands/ListVoiceConnectorTerminationCredentialsCommand";
import { ListVoiceProfileDomainsCommand, } from "./commands/ListVoiceProfileDomainsCommand";
import { ListVoiceProfilesCommand, } from "./commands/ListVoiceProfilesCommand";
import { PutSipMediaApplicationAlexaSkillConfigurationCommand, } from "./commands/PutSipMediaApplicationAlexaSkillConfigurationCommand";
import { PutSipMediaApplicationLoggingConfigurationCommand, } from "./commands/PutSipMediaApplicationLoggingConfigurationCommand";
import { PutVoiceConnectorEmergencyCallingConfigurationCommand, } from "./commands/PutVoiceConnectorEmergencyCallingConfigurationCommand";
import { PutVoiceConnectorLoggingConfigurationCommand, } from "./commands/PutVoiceConnectorLoggingConfigurationCommand";
import { PutVoiceConnectorOriginationCommand, } from "./commands/PutVoiceConnectorOriginationCommand";
import { PutVoiceConnectorProxyCommand, } from "./commands/PutVoiceConnectorProxyCommand";
import { PutVoiceConnectorStreamingConfigurationCommand, } from "./commands/PutVoiceConnectorStreamingConfigurationCommand";
import { PutVoiceConnectorTerminationCommand, } from "./commands/PutVoiceConnectorTerminationCommand";
import { PutVoiceConnectorTerminationCredentialsCommand, } from "./commands/PutVoiceConnectorTerminationCredentialsCommand";
import { RestorePhoneNumberCommand, } from "./commands/RestorePhoneNumberCommand";
import { SearchAvailablePhoneNumbersCommand, } from "./commands/SearchAvailablePhoneNumbersCommand";
import { StartSpeakerSearchTaskCommand, } from "./commands/StartSpeakerSearchTaskCommand";
import { StartVoiceToneAnalysisTaskCommand, } from "./commands/StartVoiceToneAnalysisTaskCommand";
import { StopSpeakerSearchTaskCommand, } from "./commands/StopSpeakerSearchTaskCommand";
import { StopVoiceToneAnalysisTaskCommand, } from "./commands/StopVoiceToneAnalysisTaskCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateGlobalSettingsCommand, } from "./commands/UpdateGlobalSettingsCommand";
import { UpdatePhoneNumberCommand, } from "./commands/UpdatePhoneNumberCommand";
import { UpdatePhoneNumberSettingsCommand, } from "./commands/UpdatePhoneNumberSettingsCommand";
import { UpdateProxySessionCommand, } from "./commands/UpdateProxySessionCommand";
import { UpdateSipMediaApplicationCallCommand, } from "./commands/UpdateSipMediaApplicationCallCommand";
import { UpdateSipMediaApplicationCommand, } from "./commands/UpdateSipMediaApplicationCommand";
import { UpdateSipRuleCommand, } from "./commands/UpdateSipRuleCommand";
import { UpdateVoiceConnectorCommand, } from "./commands/UpdateVoiceConnectorCommand";
import { UpdateVoiceConnectorGroupCommand, } from "./commands/UpdateVoiceConnectorGroupCommand";
import { UpdateVoiceProfileCommand, } from "./commands/UpdateVoiceProfileCommand";
import { UpdateVoiceProfileDomainCommand, } from "./commands/UpdateVoiceProfileDomainCommand";
import { ValidateE911AddressCommand, } from "./commands/ValidateE911AddressCommand";
const commands = {
    AssociatePhoneNumbersWithVoiceConnectorCommand,
    AssociatePhoneNumbersWithVoiceConnectorGroupCommand,
    BatchDeletePhoneNumberCommand,
    BatchUpdatePhoneNumberCommand,
    CreatePhoneNumberOrderCommand,
    CreateProxySessionCommand,
    CreateSipMediaApplicationCommand,
    CreateSipMediaApplicationCallCommand,
    CreateSipRuleCommand,
    CreateVoiceConnectorCommand,
    CreateVoiceConnectorGroupCommand,
    CreateVoiceProfileCommand,
    CreateVoiceProfileDomainCommand,
    DeletePhoneNumberCommand,
    DeleteProxySessionCommand,
    DeleteSipMediaApplicationCommand,
    DeleteSipRuleCommand,
    DeleteVoiceConnectorCommand,
    DeleteVoiceConnectorEmergencyCallingConfigurationCommand,
    DeleteVoiceConnectorGroupCommand,
    DeleteVoiceConnectorOriginationCommand,
    DeleteVoiceConnectorProxyCommand,
    DeleteVoiceConnectorStreamingConfigurationCommand,
    DeleteVoiceConnectorTerminationCommand,
    DeleteVoiceConnectorTerminationCredentialsCommand,
    DeleteVoiceProfileCommand,
    DeleteVoiceProfileDomainCommand,
    DisassociatePhoneNumbersFromVoiceConnectorCommand,
    DisassociatePhoneNumbersFromVoiceConnectorGroupCommand,
    GetGlobalSettingsCommand,
    GetPhoneNumberCommand,
    GetPhoneNumberOrderCommand,
    GetPhoneNumberSettingsCommand,
    GetProxySessionCommand,
    GetSipMediaApplicationCommand,
    GetSipMediaApplicationAlexaSkillConfigurationCommand,
    GetSipMediaApplicationLoggingConfigurationCommand,
    GetSipRuleCommand,
    GetSpeakerSearchTaskCommand,
    GetVoiceConnectorCommand,
    GetVoiceConnectorEmergencyCallingConfigurationCommand,
    GetVoiceConnectorGroupCommand,
    GetVoiceConnectorLoggingConfigurationCommand,
    GetVoiceConnectorOriginationCommand,
    GetVoiceConnectorProxyCommand,
    GetVoiceConnectorStreamingConfigurationCommand,
    GetVoiceConnectorTerminationCommand,
    GetVoiceConnectorTerminationHealthCommand,
    GetVoiceProfileCommand,
    GetVoiceProfileDomainCommand,
    GetVoiceToneAnalysisTaskCommand,
    ListAvailableVoiceConnectorRegionsCommand,
    ListPhoneNumberOrdersCommand,
    ListPhoneNumbersCommand,
    ListProxySessionsCommand,
    ListSipMediaApplicationsCommand,
    ListSipRulesCommand,
    ListSupportedPhoneNumberCountriesCommand,
    ListTagsForResourceCommand,
    ListVoiceConnectorGroupsCommand,
    ListVoiceConnectorsCommand,
    ListVoiceConnectorTerminationCredentialsCommand,
    ListVoiceProfileDomainsCommand,
    ListVoiceProfilesCommand,
    PutSipMediaApplicationAlexaSkillConfigurationCommand,
    PutSipMediaApplicationLoggingConfigurationCommand,
    PutVoiceConnectorEmergencyCallingConfigurationCommand,
    PutVoiceConnectorLoggingConfigurationCommand,
    PutVoiceConnectorOriginationCommand,
    PutVoiceConnectorProxyCommand,
    PutVoiceConnectorStreamingConfigurationCommand,
    PutVoiceConnectorTerminationCommand,
    PutVoiceConnectorTerminationCredentialsCommand,
    RestorePhoneNumberCommand,
    SearchAvailablePhoneNumbersCommand,
    StartSpeakerSearchTaskCommand,
    StartVoiceToneAnalysisTaskCommand,
    StopSpeakerSearchTaskCommand,
    StopVoiceToneAnalysisTaskCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateGlobalSettingsCommand,
    UpdatePhoneNumberCommand,
    UpdatePhoneNumberSettingsCommand,
    UpdateProxySessionCommand,
    UpdateSipMediaApplicationCommand,
    UpdateSipMediaApplicationCallCommand,
    UpdateSipRuleCommand,
    UpdateVoiceConnectorCommand,
    UpdateVoiceConnectorGroupCommand,
    UpdateVoiceProfileCommand,
    UpdateVoiceProfileDomainCommand,
    ValidateE911AddressCommand,
};
export class ChimeSDKVoice extends ChimeSDKVoiceClient {
}
createAggregatedClient(commands, ChimeSDKVoice);
