import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { ChimeSDKVoiceServiceException as __BaseException } from "./ChimeSDKVoiceServiceException";
export const ErrorCode = {
    AccessDenied: "AccessDenied",
    BadRequest: "BadRequest",
    Conflict: "Conflict",
    Forbidden: "Forbidden",
    Gone: "Gone",
    NotFound: "NotFound",
    PhoneNumberAssociationsExist: "PhoneNumberAssociationsExist",
    PreconditionFailed: "PreconditionFailed",
    ResourceLimitExceeded: "ResourceLimitExceeded",
    ServiceFailure: "ServiceFailure",
    ServiceUnavailable: "ServiceUnavailable",
    Throttled: "Throttled",
    Throttling: "Throttling",
    Unauthorized: "Unauthorized",
    Unprocessable: "Unprocessable",
    VoiceConnectorGroupAssociationsExist: "VoiceConnectorGroupAssociationsExist",
};
export class AccessDeniedException extends __BaseException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export const AlexaSkillStatus = {
    ACTIVE: "ACTIVE",
    INACTIVE: "INACTIVE",
};
export class BadRequestException extends __BaseException {
    constructor(opts) {
        super({
            name: "BadRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "BadRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BadRequestException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export class ForbiddenException extends __BaseException {
    constructor(opts) {
        super({
            name: "ForbiddenException",
            $fault: "client",
            ...opts,
        });
        this.name = "ForbiddenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ForbiddenException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export class NotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "NotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotFoundException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export class ServiceFailureException extends __BaseException {
    constructor(opts) {
        super({
            name: "ServiceFailureException",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceFailureException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceFailureException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export class ServiceUnavailableException extends __BaseException {
    constructor(opts) {
        super({
            name: "ServiceUnavailableException",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailableException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailableException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export class ThrottledClientException extends __BaseException {
    constructor(opts) {
        super({
            name: "ThrottledClientException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottledClientException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottledClientException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export class UnauthorizedClientException extends __BaseException {
    constructor(opts) {
        super({
            name: "UnauthorizedClientException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnauthorizedClientException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnauthorizedClientException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export const PhoneNumberProductType = {
    SipMediaApplicationDialIn: "SipMediaApplicationDialIn",
    VoiceConnector: "VoiceConnector",
};
export const CallingNameStatus = {
    Unassigned: "Unassigned",
    UpdateFailed: "UpdateFailed",
    UpdateInProgress: "UpdateInProgress",
    UpdateSucceeded: "UpdateSucceeded",
};
export const CallLegType = {
    CALLEE: "Callee",
    CALLER: "Caller",
};
export const Capability = {
    SMS: "SMS",
    Voice: "Voice",
};
export const OrderedPhoneNumberStatus = {
    Acquired: "Acquired",
    Failed: "Failed",
    Processing: "Processing",
};
export const PhoneNumberOrderType = {
    New: "New",
    Porting: "Porting",
};
export const PhoneNumberOrderStatus = {
    CancelRequested: "CancelRequested",
    Cancelled: "Cancelled",
    ChangeRequested: "ChangeRequested",
    Exception: "Exception",
    FOC: "FOC",
    Failed: "Failed",
    Partial: "Partial",
    PendingDocuments: "PendingDocuments",
    Processing: "Processing",
    Submitted: "Submitted",
    Successful: "Successful",
};
export class ResourceLimitExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "ResourceLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceLimitExceededException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export const GeoMatchLevel = {
    AreaCode: "AreaCode",
    Country: "Country",
};
export const NumberSelectionBehavior = {
    AvoidSticky: "AvoidSticky",
    PreferSticky: "PreferSticky",
};
export const ProxySessionStatus = {
    Closed: "Closed",
    InProgress: "InProgress",
    Open: "Open",
};
export class ConflictException extends __BaseException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export const SipRuleTriggerType = {
    RequestUriHostname: "RequestUriHostname",
    ToPhoneNumber: "ToPhoneNumber",
};
export const VoiceConnectorAwsRegion = {
    AP_NORTHEAST_1: "ap-northeast-1",
    AP_NORTHEAST_2: "ap-northeast-2",
    AP_SOUTHEAST_1: "ap-southeast-1",
    AP_SOUTHEAST_2: "ap-southeast-2",
    CA_CENTRAL_1: "ca-central-1",
    EU_CENTRAL_1: "eu-central-1",
    EU_WEST_1: "eu-west-1",
    EU_WEST_2: "eu-west-2",
    US_EAST_1: "us-east-1",
    US_WEST_2: "us-west-2",
};
export class GoneException extends __BaseException {
    constructor(opts) {
        super({
            name: "GoneException",
            $fault: "client",
            ...opts,
        });
        this.name = "GoneException";
        this.$fault = "client";
        Object.setPrototypeOf(this, GoneException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export const PhoneNumberAssociationName = {
    SipRuleId: "SipRuleId",
    VoiceConnectorGroupId: "VoiceConnectorGroupId",
    VoiceConnectorId: "VoiceConnectorId",
};
export const PhoneNumberStatus = {
    AcquireFailed: "AcquireFailed",
    AcquireInProgress: "AcquireInProgress",
    Assigned: "Assigned",
    Cancelled: "Cancelled",
    DeleteFailed: "DeleteFailed",
    DeleteInProgress: "DeleteInProgress",
    PortinCancelRequested: "PortinCancelRequested",
    PortinInProgress: "PortinInProgress",
    ReleaseFailed: "ReleaseFailed",
    ReleaseInProgress: "ReleaseInProgress",
    Unassigned: "Unassigned",
};
export const PhoneNumberType = {
    Local: "Local",
    TollFree: "TollFree",
};
export const OriginationRouteProtocol = {
    TCP: "TCP",
    UDP: "UDP",
};
export const NotificationTarget = {
    EventBridge: "EventBridge",
    SNS: "SNS",
    SQS: "SQS",
};
export class UnprocessableEntityException extends __BaseException {
    constructor(opts) {
        super({
            name: "UnprocessableEntityException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnprocessableEntityException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnprocessableEntityException.prototype);
        this.Code = opts.Code;
        this.Message = opts.Message;
    }
}
export const LanguageCode = {
    EN_US: "en-US",
};
export const AddressFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.streetName && { streetName: SENSITIVE_STRING }),
    ...(obj.streetSuffix && { streetSuffix: SENSITIVE_STRING }),
    ...(obj.postDirectional && { postDirectional: SENSITIVE_STRING }),
    ...(obj.preDirectional && { preDirectional: SENSITIVE_STRING }),
    ...(obj.streetNumber && { streetNumber: SENSITIVE_STRING }),
    ...(obj.city && { city: SENSITIVE_STRING }),
    ...(obj.state && { state: SENSITIVE_STRING }),
    ...(obj.postalCode && { postalCode: SENSITIVE_STRING }),
    ...(obj.postalCodePlus4 && { postalCodePlus4: SENSITIVE_STRING }),
    ...(obj.country && { country: SENSITIVE_STRING }),
});
export const AssociatePhoneNumbersWithVoiceConnectorRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumbers && { E164PhoneNumbers: SENSITIVE_STRING }),
});
export const PhoneNumberErrorFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
});
export const AssociatePhoneNumbersWithVoiceConnectorResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberErrors && {
        PhoneNumberErrors: obj.PhoneNumberErrors.map((item) => PhoneNumberErrorFilterSensitiveLog(item)),
    }),
});
export const AssociatePhoneNumbersWithVoiceConnectorGroupRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumbers && { E164PhoneNumbers: SENSITIVE_STRING }),
});
export const AssociatePhoneNumbersWithVoiceConnectorGroupResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberErrors && {
        PhoneNumberErrors: obj.PhoneNumberErrors.map((item) => PhoneNumberErrorFilterSensitiveLog(item)),
    }),
});
export const BatchDeletePhoneNumberResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberErrors && {
        PhoneNumberErrors: obj.PhoneNumberErrors.map((item) => PhoneNumberErrorFilterSensitiveLog(item)),
    }),
});
export const UpdatePhoneNumberRequestItemFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
    ...(obj.CallingName && { CallingName: SENSITIVE_STRING }),
});
export const BatchUpdatePhoneNumberRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UpdatePhoneNumberRequestItems && {
        UpdatePhoneNumberRequestItems: obj.UpdatePhoneNumberRequestItems.map((item) => UpdatePhoneNumberRequestItemFilterSensitiveLog(item)),
    }),
});
export const BatchUpdatePhoneNumberResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberErrors && {
        PhoneNumberErrors: obj.PhoneNumberErrors.map((item) => PhoneNumberErrorFilterSensitiveLog(item)),
    }),
});
export const CandidateAddressFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.streetInfo && { streetInfo: SENSITIVE_STRING }),
    ...(obj.streetNumber && { streetNumber: SENSITIVE_STRING }),
    ...(obj.city && { city: SENSITIVE_STRING }),
    ...(obj.state && { state: SENSITIVE_STRING }),
    ...(obj.postalCode && { postalCode: SENSITIVE_STRING }),
    ...(obj.postalCodePlus4 && { postalCodePlus4: SENSITIVE_STRING }),
    ...(obj.country && { country: SENSITIVE_STRING }),
});
export const CreatePhoneNumberOrderRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumbers && { E164PhoneNumbers: SENSITIVE_STRING }),
});
export const OrderedPhoneNumberFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumber && { E164PhoneNumber: SENSITIVE_STRING }),
});
export const PhoneNumberOrderFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.OrderedPhoneNumbers && {
        OrderedPhoneNumbers: obj.OrderedPhoneNumbers.map((item) => OrderedPhoneNumberFilterSensitiveLog(item)),
    }),
});
export const CreatePhoneNumberOrderResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberOrder && { PhoneNumberOrder: PhoneNumberOrderFilterSensitiveLog(obj.PhoneNumberOrder) }),
});
export const CreateProxySessionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ParticipantPhoneNumbers && { ParticipantPhoneNumbers: SENSITIVE_STRING }),
    ...(obj.Name && { Name: SENSITIVE_STRING }),
});
export const ParticipantFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumber && { PhoneNumber: SENSITIVE_STRING }),
    ...(obj.ProxyPhoneNumber && { ProxyPhoneNumber: SENSITIVE_STRING }),
});
export const ProxySessionFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Participants && { Participants: obj.Participants.map((item) => ParticipantFilterSensitiveLog(item)) }),
});
export const CreateProxySessionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ProxySession && { ProxySession: ProxySessionFilterSensitiveLog(obj.ProxySession) }),
});
export const SipMediaApplicationEndpointFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LambdaArn && { LambdaArn: SENSITIVE_STRING }),
});
export const TagFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Key && { Key: SENSITIVE_STRING }),
    ...(obj.Value && { Value: SENSITIVE_STRING }),
});
export const CreateSipMediaApplicationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Endpoints && { Endpoints: obj.Endpoints.map((item) => SipMediaApplicationEndpointFilterSensitiveLog(item)) }),
    ...(obj.Tags && { Tags: obj.Tags.map((item) => TagFilterSensitiveLog(item)) }),
});
export const SipMediaApplicationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Endpoints && { Endpoints: obj.Endpoints.map((item) => SipMediaApplicationEndpointFilterSensitiveLog(item)) }),
});
export const CreateSipMediaApplicationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SipMediaApplication && {
        SipMediaApplication: SipMediaApplicationFilterSensitiveLog(obj.SipMediaApplication),
    }),
});
export const CreateSipMediaApplicationCallRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.FromPhoneNumber && { FromPhoneNumber: SENSITIVE_STRING }),
    ...(obj.ToPhoneNumber && { ToPhoneNumber: SENSITIVE_STRING }),
    ...(obj.SipHeaders && { SipHeaders: SENSITIVE_STRING }),
    ...(obj.ArgumentsMap && { ArgumentsMap: SENSITIVE_STRING }),
});
export const CreateVoiceConnectorRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Tags && { Tags: obj.Tags.map((item) => TagFilterSensitiveLog(item)) }),
});
export const VoiceProfileFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileArn && { VoiceProfileArn: SENSITIVE_STRING }),
});
export const CreateVoiceProfileResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfile && { VoiceProfile: VoiceProfileFilterSensitiveLog(obj.VoiceProfile) }),
});
export const ServerSideEncryptionConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.KmsKeyArn && { KmsKeyArn: SENSITIVE_STRING }),
});
export const CreateVoiceProfileDomainRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ServerSideEncryptionConfiguration && {
        ServerSideEncryptionConfiguration: ServerSideEncryptionConfigurationFilterSensitiveLog(obj.ServerSideEncryptionConfiguration),
    }),
    ...(obj.Tags && { Tags: obj.Tags.map((item) => TagFilterSensitiveLog(item)) }),
});
export const VoiceProfileDomainFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileDomainArn && { VoiceProfileDomainArn: SENSITIVE_STRING }),
    ...(obj.ServerSideEncryptionConfiguration && {
        ServerSideEncryptionConfiguration: ServerSideEncryptionConfigurationFilterSensitiveLog(obj.ServerSideEncryptionConfiguration),
    }),
});
export const CreateVoiceProfileDomainResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileDomain && { VoiceProfileDomain: VoiceProfileDomainFilterSensitiveLog(obj.VoiceProfileDomain) }),
});
export const DeletePhoneNumberRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
});
export const DeleteVoiceConnectorTerminationCredentialsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Usernames && { Usernames: SENSITIVE_STRING }),
});
export const DisassociatePhoneNumbersFromVoiceConnectorRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumbers && { E164PhoneNumbers: SENSITIVE_STRING }),
});
export const DisassociatePhoneNumbersFromVoiceConnectorResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberErrors && {
        PhoneNumberErrors: obj.PhoneNumberErrors.map((item) => PhoneNumberErrorFilterSensitiveLog(item)),
    }),
});
export const DisassociatePhoneNumbersFromVoiceConnectorGroupRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumbers && { E164PhoneNumbers: SENSITIVE_STRING }),
});
export const DisassociatePhoneNumbersFromVoiceConnectorGroupResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberErrors && {
        PhoneNumberErrors: obj.PhoneNumberErrors.map((item) => PhoneNumberErrorFilterSensitiveLog(item)),
    }),
});
export const GetPhoneNumberRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
});
export const PhoneNumberFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
    ...(obj.E164PhoneNumber && { E164PhoneNumber: SENSITIVE_STRING }),
    ...(obj.CallingName && { CallingName: SENSITIVE_STRING }),
});
export const GetPhoneNumberResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumber && { PhoneNumber: PhoneNumberFilterSensitiveLog(obj.PhoneNumber) }),
});
export const GetPhoneNumberOrderResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberOrder && { PhoneNumberOrder: PhoneNumberOrderFilterSensitiveLog(obj.PhoneNumberOrder) }),
});
export const GetPhoneNumberSettingsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.CallingName && { CallingName: SENSITIVE_STRING }),
});
export const GetProxySessionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ProxySession && { ProxySession: ProxySessionFilterSensitiveLog(obj.ProxySession) }),
});
export const GetSipMediaApplicationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SipMediaApplication && {
        SipMediaApplication: SipMediaApplicationFilterSensitiveLog(obj.SipMediaApplication),
    }),
});
export const SipMediaApplicationAlexaSkillConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.AlexaSkillIds && { AlexaSkillIds: SENSITIVE_STRING }),
});
export const GetSipMediaApplicationAlexaSkillConfigurationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SipMediaApplicationAlexaSkillConfiguration && {
        SipMediaApplicationAlexaSkillConfiguration: SipMediaApplicationAlexaSkillConfigurationFilterSensitiveLog(obj.SipMediaApplicationAlexaSkillConfiguration),
    }),
});
export const DNISEmergencyCallingConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EmergencyPhoneNumber && { EmergencyPhoneNumber: SENSITIVE_STRING }),
    ...(obj.TestPhoneNumber && { TestPhoneNumber: SENSITIVE_STRING }),
});
export const EmergencyCallingConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DNIS && { DNIS: obj.DNIS.map((item) => DNISEmergencyCallingConfigurationFilterSensitiveLog(item)) }),
});
export const GetVoiceConnectorEmergencyCallingConfigurationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EmergencyCallingConfiguration && {
        EmergencyCallingConfiguration: EmergencyCallingConfigurationFilterSensitiveLog(obj.EmergencyCallingConfiguration),
    }),
});
export const ProxyFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.FallBackPhoneNumber && { FallBackPhoneNumber: SENSITIVE_STRING }),
});
export const GetVoiceConnectorProxyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Proxy && { Proxy: ProxyFilterSensitiveLog(obj.Proxy) }),
});
export const MediaInsightsConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ConfigurationArn && { ConfigurationArn: SENSITIVE_STRING }),
});
export const StreamingConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.MediaInsightsConfiguration && {
        MediaInsightsConfiguration: MediaInsightsConfigurationFilterSensitiveLog(obj.MediaInsightsConfiguration),
    }),
});
export const GetVoiceConnectorStreamingConfigurationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.StreamingConfiguration && {
        StreamingConfiguration: StreamingConfigurationFilterSensitiveLog(obj.StreamingConfiguration),
    }),
});
export const TerminationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DefaultPhoneNumber && { DefaultPhoneNumber: SENSITIVE_STRING }),
});
export const GetVoiceConnectorTerminationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Termination && { Termination: TerminationFilterSensitiveLog(obj.Termination) }),
});
export const GetVoiceProfileResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfile && { VoiceProfile: VoiceProfileFilterSensitiveLog(obj.VoiceProfile) }),
});
export const GetVoiceProfileDomainResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileDomain && { VoiceProfileDomain: VoiceProfileDomainFilterSensitiveLog(obj.VoiceProfileDomain) }),
});
export const ListPhoneNumberOrdersResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPhoneNumbersResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumbers && { PhoneNumbers: obj.PhoneNumbers.map((item) => PhoneNumberFilterSensitiveLog(item)) }),
});
export const ListProxySessionsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListSipMediaApplicationsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTagsForResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ResourceARN && { ResourceARN: SENSITIVE_STRING }),
});
export const ListTagsForResourceResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Tags && { Tags: obj.Tags.map((item) => TagFilterSensitiveLog(item)) }),
});
export const ListVoiceConnectorTerminationCredentialsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Usernames && { Usernames: SENSITIVE_STRING }),
});
export const VoiceProfileDomainSummaryFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileDomainArn && { VoiceProfileDomainArn: SENSITIVE_STRING }),
});
export const ListVoiceProfileDomainsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileDomains && {
        VoiceProfileDomains: obj.VoiceProfileDomains.map((item) => VoiceProfileDomainSummaryFilterSensitiveLog(item)),
    }),
});
export const VoiceProfileSummaryFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileArn && { VoiceProfileArn: SENSITIVE_STRING }),
});
export const ListVoiceProfilesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfiles && {
        VoiceProfiles: obj.VoiceProfiles.map((item) => VoiceProfileSummaryFilterSensitiveLog(item)),
    }),
});
export const PutSipMediaApplicationAlexaSkillConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SipMediaApplicationAlexaSkillConfiguration && {
        SipMediaApplicationAlexaSkillConfiguration: SipMediaApplicationAlexaSkillConfigurationFilterSensitiveLog(obj.SipMediaApplicationAlexaSkillConfiguration),
    }),
});
export const PutSipMediaApplicationAlexaSkillConfigurationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SipMediaApplicationAlexaSkillConfiguration && {
        SipMediaApplicationAlexaSkillConfiguration: SipMediaApplicationAlexaSkillConfigurationFilterSensitiveLog(obj.SipMediaApplicationAlexaSkillConfiguration),
    }),
});
export const PutVoiceConnectorEmergencyCallingConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EmergencyCallingConfiguration && {
        EmergencyCallingConfiguration: EmergencyCallingConfigurationFilterSensitiveLog(obj.EmergencyCallingConfiguration),
    }),
});
export const PutVoiceConnectorEmergencyCallingConfigurationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EmergencyCallingConfiguration && {
        EmergencyCallingConfiguration: EmergencyCallingConfigurationFilterSensitiveLog(obj.EmergencyCallingConfiguration),
    }),
});
export const PutVoiceConnectorProxyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.FallBackPhoneNumber && { FallBackPhoneNumber: SENSITIVE_STRING }),
});
export const PutVoiceConnectorProxyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Proxy && { Proxy: ProxyFilterSensitiveLog(obj.Proxy) }),
});
export const PutVoiceConnectorStreamingConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.StreamingConfiguration && {
        StreamingConfiguration: StreamingConfigurationFilterSensitiveLog(obj.StreamingConfiguration),
    }),
});
export const PutVoiceConnectorStreamingConfigurationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.StreamingConfiguration && {
        StreamingConfiguration: StreamingConfigurationFilterSensitiveLog(obj.StreamingConfiguration),
    }),
});
export const PutVoiceConnectorTerminationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Termination && { Termination: TerminationFilterSensitiveLog(obj.Termination) }),
});
export const PutVoiceConnectorTerminationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Termination && { Termination: TerminationFilterSensitiveLog(obj.Termination) }),
});
export const CredentialFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Username && { Username: SENSITIVE_STRING }),
    ...(obj.Password && { Password: SENSITIVE_STRING }),
});
export const PutVoiceConnectorTerminationCredentialsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Credentials && { Credentials: obj.Credentials.map((item) => CredentialFilterSensitiveLog(item)) }),
});
export const RestorePhoneNumberRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
});
export const RestorePhoneNumberResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumber && { PhoneNumber: PhoneNumberFilterSensitiveLog(obj.PhoneNumber) }),
});
export const SearchAvailablePhoneNumbersResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.E164PhoneNumbers && { E164PhoneNumbers: SENSITIVE_STRING }),
});
export const TagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ResourceARN && { ResourceARN: SENSITIVE_STRING }),
    ...(obj.Tags && { Tags: obj.Tags.map((item) => TagFilterSensitiveLog(item)) }),
});
export const UntagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ResourceARN && { ResourceARN: SENSITIVE_STRING }),
    ...(obj.TagKeys && { TagKeys: SENSITIVE_STRING }),
});
export const UpdatePhoneNumberRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumberId && { PhoneNumberId: SENSITIVE_STRING }),
    ...(obj.CallingName && { CallingName: SENSITIVE_STRING }),
});
export const UpdatePhoneNumberResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PhoneNumber && { PhoneNumber: PhoneNumberFilterSensitiveLog(obj.PhoneNumber) }),
});
export const UpdatePhoneNumberSettingsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.CallingName && { CallingName: SENSITIVE_STRING }),
});
export const UpdateProxySessionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ProxySession && { ProxySession: ProxySessionFilterSensitiveLog(obj.ProxySession) }),
});
export const UpdateSipMediaApplicationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Endpoints && { Endpoints: obj.Endpoints.map((item) => SipMediaApplicationEndpointFilterSensitiveLog(item)) }),
});
export const UpdateSipMediaApplicationResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SipMediaApplication && {
        SipMediaApplication: SipMediaApplicationFilterSensitiveLog(obj.SipMediaApplication),
    }),
});
export const UpdateSipMediaApplicationCallRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Arguments && { Arguments: SENSITIVE_STRING }),
});
export const UpdateVoiceProfileResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfile && { VoiceProfile: VoiceProfileFilterSensitiveLog(obj.VoiceProfile) }),
});
export const UpdateVoiceProfileDomainResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VoiceProfileDomain && { VoiceProfileDomain: VoiceProfileDomainFilterSensitiveLog(obj.VoiceProfileDomain) }),
});
export const ValidateE911AddressRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.StreetNumber && { StreetNumber: SENSITIVE_STRING }),
    ...(obj.StreetInfo && { StreetInfo: SENSITIVE_STRING }),
    ...(obj.City && { City: SENSITIVE_STRING }),
    ...(obj.State && { State: SENSITIVE_STRING }),
    ...(obj.Country && { Country: SENSITIVE_STRING }),
    ...(obj.PostalCode && { PostalCode: SENSITIVE_STRING }),
});
export const ValidateE911AddressResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Address && { Address: AddressFilterSensitiveLog(obj.Address) }),
    ...(obj.CandidateAddressList && {
        CandidateAddressList: obj.CandidateAddressList.map((item) => CandidateAddressFilterSensitiveLog(item)),
    }),
});
