import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  CreateSipMediaApplicationCallRequest,
  CreateSipMediaApplicationCallResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateSipMediaApplicationCallCommandInput
  extends CreateSipMediaApplicationCallRequest {}
export interface CreateSipMediaApplicationCallCommandOutput
  extends CreateSipMediaApplicationCallResponse,
    __MetadataBearer {}
export declare class CreateSipMediaApplicationCallCommand extends $Command<
  CreateSipMediaApplicationCallCommandInput,
  CreateSipMediaApplicationCallCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: CreateSipMediaApplicationCallCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateSipMediaApplicationCallCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateSipMediaApplicationCallCommandInput,
    CreateSipMediaApplicationCallCommandOutput
  >;
  private serialize;
  private deserialize;
}
