import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  CreateVoiceProfileDomainRequest,
  CreateVoiceProfileDomainResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateVoiceProfileDomainCommandInput
  extends CreateVoiceProfileDomainRequest {}
export interface CreateVoiceProfileDomainCommandOutput
  extends CreateVoiceProfileDomainResponse,
    __MetadataBearer {}
export declare class CreateVoiceProfileDomainCommand extends $Command<
  CreateVoiceProfileDomainCommandInput,
  CreateVoiceProfileDomainCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: CreateVoiceProfileDomainCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVoiceProfileDomainCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateVoiceProfileDomainCommandInput,
    CreateVoiceProfileDomainCommandOutput
  >;
  private serialize;
  private deserialize;
}
