import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { DeleteVoiceConnectorGroupRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteVoiceConnectorGroupCommandInput
  extends DeleteVoiceConnectorGroupRequest {}
export interface DeleteVoiceConnectorGroupCommandOutput
  extends __MetadataBearer {}
export declare class DeleteVoiceConnectorGroupCommand extends $Command<
  DeleteVoiceConnectorGroupCommandInput,
  DeleteVoiceConnectorGroupCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: DeleteVoiceConnectorGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVoiceConnectorGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVoiceConnectorGroupCommandInput,
    DeleteVoiceConnectorGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
