import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { DeleteVoiceConnectorOriginationRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteVoiceConnectorOriginationCommandInput
  extends DeleteVoiceConnectorOriginationRequest {}
export interface DeleteVoiceConnectorOriginationCommandOutput
  extends __MetadataBearer {}
export declare class DeleteVoiceConnectorOriginationCommand extends $Command<
  DeleteVoiceConnectorOriginationCommandInput,
  DeleteVoiceConnectorOriginationCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: DeleteVoiceConnectorOriginationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVoiceConnectorOriginationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVoiceConnectorOriginationCommandInput,
    DeleteVoiceConnectorOriginationCommandOutput
  >;
  private serialize;
  private deserialize;
}
