import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { DeleteVoiceConnectorTerminationRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteVoiceConnectorTerminationCommandInput
  extends DeleteVoiceConnectorTerminationRequest {}
export interface DeleteVoiceConnectorTerminationCommandOutput
  extends __MetadataBearer {}
export declare class DeleteVoiceConnectorTerminationCommand extends $Command<
  DeleteVoiceConnectorTerminationCommandInput,
  DeleteVoiceConnectorTerminationCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: DeleteVoiceConnectorTerminationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVoiceConnectorTerminationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVoiceConnectorTerminationCommandInput,
    DeleteVoiceConnectorTerminationCommandOutput
  >;
  private serialize;
  private deserialize;
}
