import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { GetPhoneNumberSettingsResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetPhoneNumberSettingsCommandInput {}
export interface GetPhoneNumberSettingsCommandOutput
  extends GetPhoneNumberSettingsResponse,
    __MetadataBearer {}
export declare class GetPhoneNumberSettingsCommand extends $Command<
  GetPhoneNumberSettingsCommandInput,
  GetPhoneNumberSettingsCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: GetPhoneNumberSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPhoneNumberSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetPhoneNumberSettingsCommandInput,
    GetPhoneNumberSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
