import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  GetVoiceConnectorGroupRequest,
  GetVoiceConnectorGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetVoiceConnectorGroupCommandInput
  extends GetVoiceConnectorGroupRequest {}
export interface GetVoiceConnectorGroupCommandOutput
  extends GetVoiceConnectorGroupResponse,
    __MetadataBearer {}
export declare class GetVoiceConnectorGroupCommand extends $Command<
  GetVoiceConnectorGroupCommandInput,
  GetVoiceConnectorGroupCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: GetVoiceConnectorGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVoiceConnectorGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetVoiceConnectorGroupCommandInput,
    GetVoiceConnectorGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
