import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  GetVoiceProfileRequest,
  GetVoiceProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetVoiceProfileCommandInput extends GetVoiceProfileRequest {}
export interface GetVoiceProfileCommandOutput
  extends GetVoiceProfileResponse,
    __MetadataBearer {}
export declare class GetVoiceProfileCommand extends $Command<
  GetVoiceProfileCommandInput,
  GetVoiceProfileCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: GetVoiceProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVoiceProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetVoiceProfileCommandInput, GetVoiceProfileCommandOutput>;
  private serialize;
  private deserialize;
}
