import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  GetVoiceProfileDomainRequest,
  GetVoiceProfileDomainResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetVoiceProfileDomainCommandInput
  extends GetVoiceProfileDomainRequest {}
export interface GetVoiceProfileDomainCommandOutput
  extends GetVoiceProfileDomainResponse,
    __MetadataBearer {}
export declare class GetVoiceProfileDomainCommand extends $Command<
  GetVoiceProfileDomainCommandInput,
  GetVoiceProfileDomainCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: GetVoiceProfileDomainCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVoiceProfileDomainCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetVoiceProfileDomainCommandInput,
    GetVoiceProfileDomainCommandOutput
  >;
  private serialize;
  private deserialize;
}
