import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { ListAvailableVoiceConnectorRegionsResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListAvailableVoiceConnectorRegionsCommandInput {}
export interface ListAvailableVoiceConnectorRegionsCommandOutput
  extends ListAvailableVoiceConnectorRegionsResponse,
    __MetadataBearer {}
export declare class ListAvailableVoiceConnectorRegionsCommand extends $Command<
  ListAvailableVoiceConnectorRegionsCommandInput,
  ListAvailableVoiceConnectorRegionsCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListAvailableVoiceConnectorRegionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAvailableVoiceConnectorRegionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAvailableVoiceConnectorRegionsCommandInput,
    ListAvailableVoiceConnectorRegionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
