import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  ListPhoneNumberOrdersRequest,
  ListPhoneNumberOrdersResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListPhoneNumberOrdersCommandInput
  extends ListPhoneNumberOrdersRequest {}
export interface ListPhoneNumberOrdersCommandOutput
  extends ListPhoneNumberOrdersResponse,
    __MetadataBearer {}
export declare class ListPhoneNumberOrdersCommand extends $Command<
  ListPhoneNumberOrdersCommandInput,
  ListPhoneNumberOrdersCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListPhoneNumberOrdersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPhoneNumberOrdersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListPhoneNumberOrdersCommandInput,
    ListPhoneNumberOrdersCommandOutput
  >;
  private serialize;
  private deserialize;
}
