import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  ListPhoneNumbersRequest,
  ListPhoneNumbersResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListPhoneNumbersCommandInput extends ListPhoneNumbersRequest {}
export interface ListPhoneNumbersCommandOutput
  extends ListPhoneNumbersResponse,
    __MetadataBearer {}
export declare class ListPhoneNumbersCommand extends $Command<
  ListPhoneNumbersCommandInput,
  ListPhoneNumbersCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListPhoneNumbersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPhoneNumbersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListPhoneNumbersCommandInput, ListPhoneNumbersCommandOutput>;
  private serialize;
  private deserialize;
}
