import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  ListSipMediaApplicationsRequest,
  ListSipMediaApplicationsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListSipMediaApplicationsCommandInput
  extends ListSipMediaApplicationsRequest {}
export interface ListSipMediaApplicationsCommandOutput
  extends ListSipMediaApplicationsResponse,
    __MetadataBearer {}
export declare class ListSipMediaApplicationsCommand extends $Command<
  ListSipMediaApplicationsCommandInput,
  ListSipMediaApplicationsCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListSipMediaApplicationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListSipMediaApplicationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListSipMediaApplicationsCommandInput,
    ListSipMediaApplicationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
