import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  ListVoiceProfileDomainsRequest,
  ListVoiceProfileDomainsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListVoiceProfileDomainsCommandInput
  extends ListVoiceProfileDomainsRequest {}
export interface ListVoiceProfileDomainsCommandOutput
  extends ListVoiceProfileDomainsResponse,
    __MetadataBearer {}
export declare class ListVoiceProfileDomainsCommand extends $Command<
  ListVoiceProfileDomainsCommandInput,
  ListVoiceProfileDomainsCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListVoiceProfileDomainsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListVoiceProfileDomainsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListVoiceProfileDomainsCommandInput,
    ListVoiceProfileDomainsCommandOutput
  >;
  private serialize;
  private deserialize;
}
