import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  ListVoiceProfilesRequest,
  ListVoiceProfilesResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListVoiceProfilesCommandInput
  extends ListVoiceProfilesRequest {}
export interface ListVoiceProfilesCommandOutput
  extends ListVoiceProfilesResponse,
    __MetadataBearer {}
export declare class ListVoiceProfilesCommand extends $Command<
  ListVoiceProfilesCommandInput,
  ListVoiceProfilesCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListVoiceProfilesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListVoiceProfilesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListVoiceProfilesCommandInput, ListVoiceProfilesCommandOutput>;
  private serialize;
  private deserialize;
}
