import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  StartVoiceToneAnalysisTaskRequest,
  StartVoiceToneAnalysisTaskResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface StartVoiceToneAnalysisTaskCommandInput
  extends StartVoiceToneAnalysisTaskRequest {}
export interface StartVoiceToneAnalysisTaskCommandOutput
  extends StartVoiceToneAnalysisTaskResponse,
    __MetadataBearer {}
export declare class StartVoiceToneAnalysisTaskCommand extends $Command<
  StartVoiceToneAnalysisTaskCommandInput,
  StartVoiceToneAnalysisTaskCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: StartVoiceToneAnalysisTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartVoiceToneAnalysisTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartVoiceToneAnalysisTaskCommandInput,
    StartVoiceToneAnalysisTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
