import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  UpdatePhoneNumberRequest,
  UpdatePhoneNumberResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdatePhoneNumberCommandInput
  extends UpdatePhoneNumberRequest {}
export interface UpdatePhoneNumberCommandOutput
  extends UpdatePhoneNumberResponse,
    __MetadataBearer {}
export declare class UpdatePhoneNumberCommand extends $Command<
  UpdatePhoneNumberCommandInput,
  UpdatePhoneNumberCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: UpdatePhoneNumberCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdatePhoneNumberCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdatePhoneNumberCommandInput, UpdatePhoneNumberCommandOutput>;
  private serialize;
  private deserialize;
}
