import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  UpdateVoiceConnectorRequest,
  UpdateVoiceConnectorResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateVoiceConnectorCommandInput
  extends UpdateVoiceConnectorRequest {}
export interface UpdateVoiceConnectorCommandOutput
  extends UpdateVoiceConnectorResponse,
    __MetadataBearer {}
export declare class UpdateVoiceConnectorCommand extends $Command<
  UpdateVoiceConnectorCommandInput,
  UpdateVoiceConnectorCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: UpdateVoiceConnectorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateVoiceConnectorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateVoiceConnectorCommandInput,
    UpdateVoiceConnectorCommandOutput
  >;
  private serialize;
  private deserialize;
}
