import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  UpdateVoiceProfileRequest,
  UpdateVoiceProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateVoiceProfileCommandInput
  extends UpdateVoiceProfileRequest {}
export interface UpdateVoiceProfileCommandOutput
  extends UpdateVoiceProfileResponse,
    __MetadataBearer {}
export declare class UpdateVoiceProfileCommand extends $Command<
  UpdateVoiceProfileCommandInput,
  UpdateVoiceProfileCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: UpdateVoiceProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateVoiceProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateVoiceProfileCommandInput, UpdateVoiceProfileCommandOutput>;
  private serialize;
  private deserialize;
}
