import { createAggregatedClient } from "@aws-sdk/smithy-client";
import { ChimeClient } from "./ChimeClient";
import { AssociatePhoneNumbersWithVoiceConnectorCommand, } from "./commands/AssociatePhoneNumbersWithVoiceConnectorCommand";
import { AssociatePhoneNumbersWithVoiceConnectorGroupCommand, } from "./commands/AssociatePhoneNumbersWithVoiceConnectorGroupCommand";
import { AssociatePhoneNumberWithUserCommand, } from "./commands/AssociatePhoneNumberWithUserCommand";
import { AssociateSigninDelegateGroupsWithAccountCommand, } from "./commands/AssociateSigninDelegateGroupsWithAccountCommand";
import { BatchCreateAttendeeCommand, } from "./commands/BatchCreateAttendeeCommand";
import { BatchCreateChannelMembershipCommand, } from "./commands/BatchCreateChannelMembershipCommand";
import { BatchCreateRoomMembershipCommand, } from "./commands/BatchCreateRoomMembershipCommand";
import { BatchDeletePhoneNumberCommand, } from "./commands/BatchDeletePhoneNumberCommand";
import { BatchSuspendUserCommand, } from "./commands/BatchSuspendUserCommand";
import { BatchUnsuspendUserCommand, } from "./commands/BatchUnsuspendUserCommand";
import { BatchUpdatePhoneNumberCommand, } from "./commands/BatchUpdatePhoneNumberCommand";
import { BatchUpdateUserCommand, } from "./commands/BatchUpdateUserCommand";
import { CreateAccountCommand, } from "./commands/CreateAccountCommand";
import { CreateAppInstanceAdminCommand, } from "./commands/CreateAppInstanceAdminCommand";
import { CreateAppInstanceCommand, } from "./commands/CreateAppInstanceCommand";
import { CreateAppInstanceUserCommand, } from "./commands/CreateAppInstanceUserCommand";
import { CreateAttendeeCommand, } from "./commands/CreateAttendeeCommand";
import { CreateBotCommand } from "./commands/CreateBotCommand";
import { CreateChannelBanCommand, } from "./commands/CreateChannelBanCommand";
import { CreateChannelCommand, } from "./commands/CreateChannelCommand";
import { CreateChannelMembershipCommand, } from "./commands/CreateChannelMembershipCommand";
import { CreateChannelModeratorCommand, } from "./commands/CreateChannelModeratorCommand";
import { CreateMediaCapturePipelineCommand, } from "./commands/CreateMediaCapturePipelineCommand";
import { CreateMeetingCommand, } from "./commands/CreateMeetingCommand";
import { CreateMeetingDialOutCommand, } from "./commands/CreateMeetingDialOutCommand";
import { CreateMeetingWithAttendeesCommand, } from "./commands/CreateMeetingWithAttendeesCommand";
import { CreatePhoneNumberOrderCommand, } from "./commands/CreatePhoneNumberOrderCommand";
import { CreateProxySessionCommand, } from "./commands/CreateProxySessionCommand";
import { CreateRoomCommand } from "./commands/CreateRoomCommand";
import { CreateRoomMembershipCommand, } from "./commands/CreateRoomMembershipCommand";
import { CreateSipMediaApplicationCallCommand, } from "./commands/CreateSipMediaApplicationCallCommand";
import { CreateSipMediaApplicationCommand, } from "./commands/CreateSipMediaApplicationCommand";
import { CreateSipRuleCommand, } from "./commands/CreateSipRuleCommand";
import { CreateUserCommand } from "./commands/CreateUserCommand";
import { CreateVoiceConnectorCommand, } from "./commands/CreateVoiceConnectorCommand";
import { CreateVoiceConnectorGroupCommand, } from "./commands/CreateVoiceConnectorGroupCommand";
import { DeleteAccountCommand, } from "./commands/DeleteAccountCommand";
import { DeleteAppInstanceAdminCommand, } from "./commands/DeleteAppInstanceAdminCommand";
import { DeleteAppInstanceCommand, } from "./commands/DeleteAppInstanceCommand";
import { DeleteAppInstanceStreamingConfigurationsCommand, } from "./commands/DeleteAppInstanceStreamingConfigurationsCommand";
import { DeleteAppInstanceUserCommand, } from "./commands/DeleteAppInstanceUserCommand";
import { DeleteAttendeeCommand, } from "./commands/DeleteAttendeeCommand";
import { DeleteChannelBanCommand, } from "./commands/DeleteChannelBanCommand";
import { DeleteChannelCommand, } from "./commands/DeleteChannelCommand";
import { DeleteChannelMembershipCommand, } from "./commands/DeleteChannelMembershipCommand";
import { DeleteChannelMessageCommand, } from "./commands/DeleteChannelMessageCommand";
import { DeleteChannelModeratorCommand, } from "./commands/DeleteChannelModeratorCommand";
import { DeleteEventsConfigurationCommand, } from "./commands/DeleteEventsConfigurationCommand";
import { DeleteMediaCapturePipelineCommand, } from "./commands/DeleteMediaCapturePipelineCommand";
import { DeleteMeetingCommand, } from "./commands/DeleteMeetingCommand";
import { DeletePhoneNumberCommand, } from "./commands/DeletePhoneNumberCommand";
import { DeleteProxySessionCommand, } from "./commands/DeleteProxySessionCommand";
import { DeleteRoomCommand } from "./commands/DeleteRoomCommand";
import { DeleteRoomMembershipCommand, } from "./commands/DeleteRoomMembershipCommand";
import { DeleteSipMediaApplicationCommand, } from "./commands/DeleteSipMediaApplicationCommand";
import { DeleteSipRuleCommand, } from "./commands/DeleteSipRuleCommand";
import { DeleteVoiceConnectorCommand, } from "./commands/DeleteVoiceConnectorCommand";
import { DeleteVoiceConnectorEmergencyCallingConfigurationCommand, } from "./commands/DeleteVoiceConnectorEmergencyCallingConfigurationCommand";
import { DeleteVoiceConnectorGroupCommand, } from "./commands/DeleteVoiceConnectorGroupCommand";
import { DeleteVoiceConnectorOriginationCommand, } from "./commands/DeleteVoiceConnectorOriginationCommand";
import { DeleteVoiceConnectorProxyCommand, } from "./commands/DeleteVoiceConnectorProxyCommand";
import { DeleteVoiceConnectorStreamingConfigurationCommand, } from "./commands/DeleteVoiceConnectorStreamingConfigurationCommand";
import { DeleteVoiceConnectorTerminationCommand, } from "./commands/DeleteVoiceConnectorTerminationCommand";
import { DeleteVoiceConnectorTerminationCredentialsCommand, } from "./commands/DeleteVoiceConnectorTerminationCredentialsCommand";
import { DescribeAppInstanceAdminCommand, } from "./commands/DescribeAppInstanceAdminCommand";
import { DescribeAppInstanceCommand, } from "./commands/DescribeAppInstanceCommand";
import { DescribeAppInstanceUserCommand, } from "./commands/DescribeAppInstanceUserCommand";
import { DescribeChannelBanCommand, } from "./commands/DescribeChannelBanCommand";
import { DescribeChannelCommand, } from "./commands/DescribeChannelCommand";
import { DescribeChannelMembershipCommand, } from "./commands/DescribeChannelMembershipCommand";
import { DescribeChannelMembershipForAppInstanceUserCommand, } from "./commands/DescribeChannelMembershipForAppInstanceUserCommand";
import { DescribeChannelModeratedByAppInstanceUserCommand, } from "./commands/DescribeChannelModeratedByAppInstanceUserCommand";
import { DescribeChannelModeratorCommand, } from "./commands/DescribeChannelModeratorCommand";
import { DisassociatePhoneNumberFromUserCommand, } from "./commands/DisassociatePhoneNumberFromUserCommand";
import { DisassociatePhoneNumbersFromVoiceConnectorCommand, } from "./commands/DisassociatePhoneNumbersFromVoiceConnectorCommand";
import { DisassociatePhoneNumbersFromVoiceConnectorGroupCommand, } from "./commands/DisassociatePhoneNumbersFromVoiceConnectorGroupCommand";
import { DisassociateSigninDelegateGroupsFromAccountCommand, } from "./commands/DisassociateSigninDelegateGroupsFromAccountCommand";
import { GetAccountCommand } from "./commands/GetAccountCommand";
import { GetAccountSettingsCommand, } from "./commands/GetAccountSettingsCommand";
import { GetAppInstanceRetentionSettingsCommand, } from "./commands/GetAppInstanceRetentionSettingsCommand";
import { GetAppInstanceStreamingConfigurationsCommand, } from "./commands/GetAppInstanceStreamingConfigurationsCommand";
import { GetAttendeeCommand } from "./commands/GetAttendeeCommand";
import { GetBotCommand } from "./commands/GetBotCommand";
import { GetChannelMessageCommand, } from "./commands/GetChannelMessageCommand";
import { GetEventsConfigurationCommand, } from "./commands/GetEventsConfigurationCommand";
import { GetGlobalSettingsCommand, } from "./commands/GetGlobalSettingsCommand";
import { GetMediaCapturePipelineCommand, } from "./commands/GetMediaCapturePipelineCommand";
import { GetMeetingCommand } from "./commands/GetMeetingCommand";
import { GetMessagingSessionEndpointCommand, } from "./commands/GetMessagingSessionEndpointCommand";
import { GetPhoneNumberCommand, } from "./commands/GetPhoneNumberCommand";
import { GetPhoneNumberOrderCommand, } from "./commands/GetPhoneNumberOrderCommand";
import { GetPhoneNumberSettingsCommand, } from "./commands/GetPhoneNumberSettingsCommand";
import { GetProxySessionCommand, } from "./commands/GetProxySessionCommand";
import { GetRetentionSettingsCommand, } from "./commands/GetRetentionSettingsCommand";
import { GetRoomCommand } from "./commands/GetRoomCommand";
import { GetSipMediaApplicationCommand, } from "./commands/GetSipMediaApplicationCommand";
import { GetSipMediaApplicationLoggingConfigurationCommand, } from "./commands/GetSipMediaApplicationLoggingConfigurationCommand";
import { GetSipRuleCommand } from "./commands/GetSipRuleCommand";
import { GetUserCommand } from "./commands/GetUserCommand";
import { GetUserSettingsCommand, } from "./commands/GetUserSettingsCommand";
import { GetVoiceConnectorCommand, } from "./commands/GetVoiceConnectorCommand";
import { GetVoiceConnectorEmergencyCallingConfigurationCommand, } from "./commands/GetVoiceConnectorEmergencyCallingConfigurationCommand";
import { GetVoiceConnectorGroupCommand, } from "./commands/GetVoiceConnectorGroupCommand";
import { GetVoiceConnectorLoggingConfigurationCommand, } from "./commands/GetVoiceConnectorLoggingConfigurationCommand";
import { GetVoiceConnectorOriginationCommand, } from "./commands/GetVoiceConnectorOriginationCommand";
import { GetVoiceConnectorProxyCommand, } from "./commands/GetVoiceConnectorProxyCommand";
import { GetVoiceConnectorStreamingConfigurationCommand, } from "./commands/GetVoiceConnectorStreamingConfigurationCommand";
import { GetVoiceConnectorTerminationCommand, } from "./commands/GetVoiceConnectorTerminationCommand";
import { GetVoiceConnectorTerminationHealthCommand, } from "./commands/GetVoiceConnectorTerminationHealthCommand";
import { InviteUsersCommand } from "./commands/InviteUsersCommand";
import { ListAccountsCommand, } from "./commands/ListAccountsCommand";
import { ListAppInstanceAdminsCommand, } from "./commands/ListAppInstanceAdminsCommand";
import { ListAppInstancesCommand, } from "./commands/ListAppInstancesCommand";
import { ListAppInstanceUsersCommand, } from "./commands/ListAppInstanceUsersCommand";
import { ListAttendeesCommand, } from "./commands/ListAttendeesCommand";
import { ListAttendeeTagsCommand, } from "./commands/ListAttendeeTagsCommand";
import { ListBotsCommand } from "./commands/ListBotsCommand";
import { ListChannelBansCommand, } from "./commands/ListChannelBansCommand";
import { ListChannelMembershipsCommand, } from "./commands/ListChannelMembershipsCommand";
import { ListChannelMembershipsForAppInstanceUserCommand, } from "./commands/ListChannelMembershipsForAppInstanceUserCommand";
import { ListChannelMessagesCommand, } from "./commands/ListChannelMessagesCommand";
import { ListChannelModeratorsCommand, } from "./commands/ListChannelModeratorsCommand";
import { ListChannelsCommand, } from "./commands/ListChannelsCommand";
import { ListChannelsModeratedByAppInstanceUserCommand, } from "./commands/ListChannelsModeratedByAppInstanceUserCommand";
import { ListMediaCapturePipelinesCommand, } from "./commands/ListMediaCapturePipelinesCommand";
import { ListMeetingsCommand, } from "./commands/ListMeetingsCommand";
import { ListMeetingTagsCommand, } from "./commands/ListMeetingTagsCommand";
import { ListPhoneNumberOrdersCommand, } from "./commands/ListPhoneNumberOrdersCommand";
import { ListPhoneNumbersCommand, } from "./commands/ListPhoneNumbersCommand";
import { ListProxySessionsCommand, } from "./commands/ListProxySessionsCommand";
import { ListRoomMembershipsCommand, } from "./commands/ListRoomMembershipsCommand";
import { ListRoomsCommand } from "./commands/ListRoomsCommand";
import { ListSipMediaApplicationsCommand, } from "./commands/ListSipMediaApplicationsCommand";
import { ListSipRulesCommand, } from "./commands/ListSipRulesCommand";
import { ListSupportedPhoneNumberCountriesCommand, } from "./commands/ListSupportedPhoneNumberCountriesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListUsersCommand } from "./commands/ListUsersCommand";
import { ListVoiceConnectorGroupsCommand, } from "./commands/ListVoiceConnectorGroupsCommand";
import { ListVoiceConnectorsCommand, } from "./commands/ListVoiceConnectorsCommand";
import { ListVoiceConnectorTerminationCredentialsCommand, } from "./commands/ListVoiceConnectorTerminationCredentialsCommand";
import { LogoutUserCommand } from "./commands/LogoutUserCommand";
import { PutAppInstanceRetentionSettingsCommand, } from "./commands/PutAppInstanceRetentionSettingsCommand";
import { PutAppInstanceStreamingConfigurationsCommand, } from "./commands/PutAppInstanceStreamingConfigurationsCommand";
import { PutEventsConfigurationCommand, } from "./commands/PutEventsConfigurationCommand";
import { PutRetentionSettingsCommand, } from "./commands/PutRetentionSettingsCommand";
import { PutSipMediaApplicationLoggingConfigurationCommand, } from "./commands/PutSipMediaApplicationLoggingConfigurationCommand";
import { PutVoiceConnectorEmergencyCallingConfigurationCommand, } from "./commands/PutVoiceConnectorEmergencyCallingConfigurationCommand";
import { PutVoiceConnectorLoggingConfigurationCommand, } from "./commands/PutVoiceConnectorLoggingConfigurationCommand";
import { PutVoiceConnectorOriginationCommand, } from "./commands/PutVoiceConnectorOriginationCommand";
import { PutVoiceConnectorProxyCommand, } from "./commands/PutVoiceConnectorProxyCommand";
import { PutVoiceConnectorStreamingConfigurationCommand, } from "./commands/PutVoiceConnectorStreamingConfigurationCommand";
import { PutVoiceConnectorTerminationCommand, } from "./commands/PutVoiceConnectorTerminationCommand";
import { PutVoiceConnectorTerminationCredentialsCommand, } from "./commands/PutVoiceConnectorTerminationCredentialsCommand";
import { RedactChannelMessageCommand, } from "./commands/RedactChannelMessageCommand";
import { RedactConversationMessageCommand, } from "./commands/RedactConversationMessageCommand";
import { RedactRoomMessageCommand, } from "./commands/RedactRoomMessageCommand";
import { RegenerateSecurityTokenCommand, } from "./commands/RegenerateSecurityTokenCommand";
import { ResetPersonalPINCommand, } from "./commands/ResetPersonalPINCommand";
import { RestorePhoneNumberCommand, } from "./commands/RestorePhoneNumberCommand";
import { SearchAvailablePhoneNumbersCommand, } from "./commands/SearchAvailablePhoneNumbersCommand";
import { SendChannelMessageCommand, } from "./commands/SendChannelMessageCommand";
import { StartMeetingTranscriptionCommand, } from "./commands/StartMeetingTranscriptionCommand";
import { StopMeetingTranscriptionCommand, } from "./commands/StopMeetingTranscriptionCommand";
import { TagAttendeeCommand } from "./commands/TagAttendeeCommand";
import { TagMeetingCommand } from "./commands/TagMeetingCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagAttendeeCommand, } from "./commands/UntagAttendeeCommand";
import { UntagMeetingCommand, } from "./commands/UntagMeetingCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAccountCommand, } from "./commands/UpdateAccountCommand";
import { UpdateAccountSettingsCommand, } from "./commands/UpdateAccountSettingsCommand";
import { UpdateAppInstanceCommand, } from "./commands/UpdateAppInstanceCommand";
import { UpdateAppInstanceUserCommand, } from "./commands/UpdateAppInstanceUserCommand";
import { UpdateBotCommand } from "./commands/UpdateBotCommand";
import { UpdateChannelCommand, } from "./commands/UpdateChannelCommand";
import { UpdateChannelMessageCommand, } from "./commands/UpdateChannelMessageCommand";
import { UpdateChannelReadMarkerCommand, } from "./commands/UpdateChannelReadMarkerCommand";
import { UpdateGlobalSettingsCommand, } from "./commands/UpdateGlobalSettingsCommand";
import { UpdatePhoneNumberCommand, } from "./commands/UpdatePhoneNumberCommand";
import { UpdatePhoneNumberSettingsCommand, } from "./commands/UpdatePhoneNumberSettingsCommand";
import { UpdateProxySessionCommand, } from "./commands/UpdateProxySessionCommand";
import { UpdateRoomCommand } from "./commands/UpdateRoomCommand";
import { UpdateRoomMembershipCommand, } from "./commands/UpdateRoomMembershipCommand";
import { UpdateSipMediaApplicationCallCommand, } from "./commands/UpdateSipMediaApplicationCallCommand";
import { UpdateSipMediaApplicationCommand, } from "./commands/UpdateSipMediaApplicationCommand";
import { UpdateSipRuleCommand, } from "./commands/UpdateSipRuleCommand";
import { UpdateUserCommand } from "./commands/UpdateUserCommand";
import { UpdateUserSettingsCommand, } from "./commands/UpdateUserSettingsCommand";
import { UpdateVoiceConnectorCommand, } from "./commands/UpdateVoiceConnectorCommand";
import { UpdateVoiceConnectorGroupCommand, } from "./commands/UpdateVoiceConnectorGroupCommand";
import { ValidateE911AddressCommand, } from "./commands/ValidateE911AddressCommand";
const commands = {
    AssociatePhoneNumbersWithVoiceConnectorCommand,
    AssociatePhoneNumbersWithVoiceConnectorGroupCommand,
    AssociatePhoneNumberWithUserCommand,
    AssociateSigninDelegateGroupsWithAccountCommand,
    BatchCreateAttendeeCommand,
    BatchCreateChannelMembershipCommand,
    BatchCreateRoomMembershipCommand,
    BatchDeletePhoneNumberCommand,
    BatchSuspendUserCommand,
    BatchUnsuspendUserCommand,
    BatchUpdatePhoneNumberCommand,
    BatchUpdateUserCommand,
    CreateAccountCommand,
    CreateAppInstanceCommand,
    CreateAppInstanceAdminCommand,
    CreateAppInstanceUserCommand,
    CreateAttendeeCommand,
    CreateBotCommand,
    CreateChannelCommand,
    CreateChannelBanCommand,
    CreateChannelMembershipCommand,
    CreateChannelModeratorCommand,
    CreateMediaCapturePipelineCommand,
    CreateMeetingCommand,
    CreateMeetingDialOutCommand,
    CreateMeetingWithAttendeesCommand,
    CreatePhoneNumberOrderCommand,
    CreateProxySessionCommand,
    CreateRoomCommand,
    CreateRoomMembershipCommand,
    CreateSipMediaApplicationCommand,
    CreateSipMediaApplicationCallCommand,
    CreateSipRuleCommand,
    CreateUserCommand,
    CreateVoiceConnectorCommand,
    CreateVoiceConnectorGroupCommand,
    DeleteAccountCommand,
    DeleteAppInstanceCommand,
    DeleteAppInstanceAdminCommand,
    DeleteAppInstanceStreamingConfigurationsCommand,
    DeleteAppInstanceUserCommand,
    DeleteAttendeeCommand,
    DeleteChannelCommand,
    DeleteChannelBanCommand,
    DeleteChannelMembershipCommand,
    DeleteChannelMessageCommand,
    DeleteChannelModeratorCommand,
    DeleteEventsConfigurationCommand,
    DeleteMediaCapturePipelineCommand,
    DeleteMeetingCommand,
    DeletePhoneNumberCommand,
    DeleteProxySessionCommand,
    DeleteRoomCommand,
    DeleteRoomMembershipCommand,
    DeleteSipMediaApplicationCommand,
    DeleteSipRuleCommand,
    DeleteVoiceConnectorCommand,
    DeleteVoiceConnectorEmergencyCallingConfigurationCommand,
    DeleteVoiceConnectorGroupCommand,
    DeleteVoiceConnectorOriginationCommand,
    DeleteVoiceConnectorProxyCommand,
    DeleteVoiceConnectorStreamingConfigurationCommand,
    DeleteVoiceConnectorTerminationCommand,
    DeleteVoiceConnectorTerminationCredentialsCommand,
    DescribeAppInstanceCommand,
    DescribeAppInstanceAdminCommand,
    DescribeAppInstanceUserCommand,
    DescribeChannelCommand,
    DescribeChannelBanCommand,
    DescribeChannelMembershipCommand,
    DescribeChannelMembershipForAppInstanceUserCommand,
    DescribeChannelModeratedByAppInstanceUserCommand,
    DescribeChannelModeratorCommand,
    DisassociatePhoneNumberFromUserCommand,
    DisassociatePhoneNumbersFromVoiceConnectorCommand,
    DisassociatePhoneNumbersFromVoiceConnectorGroupCommand,
    DisassociateSigninDelegateGroupsFromAccountCommand,
    GetAccountCommand,
    GetAccountSettingsCommand,
    GetAppInstanceRetentionSettingsCommand,
    GetAppInstanceStreamingConfigurationsCommand,
    GetAttendeeCommand,
    GetBotCommand,
    GetChannelMessageCommand,
    GetEventsConfigurationCommand,
    GetGlobalSettingsCommand,
    GetMediaCapturePipelineCommand,
    GetMeetingCommand,
    GetMessagingSessionEndpointCommand,
    GetPhoneNumberCommand,
    GetPhoneNumberOrderCommand,
    GetPhoneNumberSettingsCommand,
    GetProxySessionCommand,
    GetRetentionSettingsCommand,
    GetRoomCommand,
    GetSipMediaApplicationCommand,
    GetSipMediaApplicationLoggingConfigurationCommand,
    GetSipRuleCommand,
    GetUserCommand,
    GetUserSettingsCommand,
    GetVoiceConnectorCommand,
    GetVoiceConnectorEmergencyCallingConfigurationCommand,
    GetVoiceConnectorGroupCommand,
    GetVoiceConnectorLoggingConfigurationCommand,
    GetVoiceConnectorOriginationCommand,
    GetVoiceConnectorProxyCommand,
    GetVoiceConnectorStreamingConfigurationCommand,
    GetVoiceConnectorTerminationCommand,
    GetVoiceConnectorTerminationHealthCommand,
    InviteUsersCommand,
    ListAccountsCommand,
    ListAppInstanceAdminsCommand,
    ListAppInstancesCommand,
    ListAppInstanceUsersCommand,
    ListAttendeesCommand,
    ListAttendeeTagsCommand,
    ListBotsCommand,
    ListChannelBansCommand,
    ListChannelMembershipsCommand,
    ListChannelMembershipsForAppInstanceUserCommand,
    ListChannelMessagesCommand,
    ListChannelModeratorsCommand,
    ListChannelsCommand,
    ListChannelsModeratedByAppInstanceUserCommand,
    ListMediaCapturePipelinesCommand,
    ListMeetingsCommand,
    ListMeetingTagsCommand,
    ListPhoneNumberOrdersCommand,
    ListPhoneNumbersCommand,
    ListProxySessionsCommand,
    ListRoomMembershipsCommand,
    ListRoomsCommand,
    ListSipMediaApplicationsCommand,
    ListSipRulesCommand,
    ListSupportedPhoneNumberCountriesCommand,
    ListTagsForResourceCommand,
    ListUsersCommand,
    ListVoiceConnectorGroupsCommand,
    ListVoiceConnectorsCommand,
    ListVoiceConnectorTerminationCredentialsCommand,
    LogoutUserCommand,
    PutAppInstanceRetentionSettingsCommand,
    PutAppInstanceStreamingConfigurationsCommand,
    PutEventsConfigurationCommand,
    PutRetentionSettingsCommand,
    PutSipMediaApplicationLoggingConfigurationCommand,
    PutVoiceConnectorEmergencyCallingConfigurationCommand,
    PutVoiceConnectorLoggingConfigurationCommand,
    PutVoiceConnectorOriginationCommand,
    PutVoiceConnectorProxyCommand,
    PutVoiceConnectorStreamingConfigurationCommand,
    PutVoiceConnectorTerminationCommand,
    PutVoiceConnectorTerminationCredentialsCommand,
    RedactChannelMessageCommand,
    RedactConversationMessageCommand,
    RedactRoomMessageCommand,
    RegenerateSecurityTokenCommand,
    ResetPersonalPINCommand,
    RestorePhoneNumberCommand,
    SearchAvailablePhoneNumbersCommand,
    SendChannelMessageCommand,
    StartMeetingTranscriptionCommand,
    StopMeetingTranscriptionCommand,
    TagAttendeeCommand,
    TagMeetingCommand,
    TagResourceCommand,
    UntagAttendeeCommand,
    UntagMeetingCommand,
    UntagResourceCommand,
    UpdateAccountCommand,
    UpdateAccountSettingsCommand,
    UpdateAppInstanceCommand,
    UpdateAppInstanceUserCommand,
    UpdateBotCommand,
    UpdateChannelCommand,
    UpdateChannelMessageCommand,
    UpdateChannelReadMarkerCommand,
    UpdateGlobalSettingsCommand,
    UpdatePhoneNumberCommand,
    UpdatePhoneNumberSettingsCommand,
    UpdateProxySessionCommand,
    UpdateRoomCommand,
    UpdateRoomMembershipCommand,
    UpdateSipMediaApplicationCommand,
    UpdateSipMediaApplicationCallCommand,
    UpdateSipRuleCommand,
    UpdateUserCommand,
    UpdateUserSettingsCommand,
    UpdateVoiceConnectorCommand,
    UpdateVoiceConnectorGroupCommand,
    ValidateE911AddressCommand,
};
export class Chime extends ChimeClient {
}
createAggregatedClient(commands, Chime);
