import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  BatchCreateRoomMembershipRequest,
  BatchCreateRoomMembershipResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchCreateRoomMembershipCommandInput
  extends BatchCreateRoomMembershipRequest {}
export interface BatchCreateRoomMembershipCommandOutput
  extends BatchCreateRoomMembershipResponse,
    __MetadataBearer {}
export declare class BatchCreateRoomMembershipCommand extends $Command<
  BatchCreateRoomMembershipCommandInput,
  BatchCreateRoomMembershipCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: BatchCreateRoomMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchCreateRoomMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchCreateRoomMembershipCommandInput,
    BatchCreateRoomMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
