import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateMediaCapturePipelineRequest,
  CreateMediaCapturePipelineResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMediaCapturePipelineCommandInput
  extends CreateMediaCapturePipelineRequest {}
export interface CreateMediaCapturePipelineCommandOutput
  extends CreateMediaCapturePipelineResponse,
    __MetadataBearer {}
export declare class CreateMediaCapturePipelineCommand extends $Command<
  CreateMediaCapturePipelineCommandInput,
  CreateMediaCapturePipelineCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateMediaCapturePipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMediaCapturePipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMediaCapturePipelineCommandInput,
    CreateMediaCapturePipelineCommandOutput
  >;
  private serialize;
  private deserialize;
}
