import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateMeetingDialOutRequest,
  CreateMeetingDialOutResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMeetingDialOutCommandInput
  extends CreateMeetingDialOutRequest {}
export interface CreateMeetingDialOutCommandOutput
  extends CreateMeetingDialOutResponse,
    __MetadataBearer {}
export declare class CreateMeetingDialOutCommand extends $Command<
  CreateMeetingDialOutCommandInput,
  CreateMeetingDialOutCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateMeetingDialOutCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMeetingDialOutCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMeetingDialOutCommandInput,
    CreateMeetingDialOutCommandOutput
  >;
  private serialize;
  private deserialize;
}
