import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreatePhoneNumberOrderRequest,
  CreatePhoneNumberOrderResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreatePhoneNumberOrderCommandInput
  extends CreatePhoneNumberOrderRequest {}
export interface CreatePhoneNumberOrderCommandOutput
  extends CreatePhoneNumberOrderResponse,
    __MetadataBearer {}
export declare class CreatePhoneNumberOrderCommand extends $Command<
  CreatePhoneNumberOrderCommandInput,
  CreatePhoneNumberOrderCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreatePhoneNumberOrderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreatePhoneNumberOrderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreatePhoneNumberOrderCommandInput,
    CreatePhoneNumberOrderCommandOutput
  >;
  private serialize;
  private deserialize;
}
