import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateVoiceConnectorGroupRequest,
  CreateVoiceConnectorGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateVoiceConnectorGroupCommandInput
  extends CreateVoiceConnectorGroupRequest {}
export interface CreateVoiceConnectorGroupCommandOutput
  extends CreateVoiceConnectorGroupResponse,
    __MetadataBearer {}
export declare class CreateVoiceConnectorGroupCommand extends $Command<
  CreateVoiceConnectorGroupCommandInput,
  CreateVoiceConnectorGroupCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateVoiceConnectorGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVoiceConnectorGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateVoiceConnectorGroupCommandInput,
    CreateVoiceConnectorGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
