import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { DeleteVoiceConnectorProxyRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteVoiceConnectorProxyCommandInput
  extends DeleteVoiceConnectorProxyRequest {}
export interface DeleteVoiceConnectorProxyCommandOutput
  extends __MetadataBearer {}
export declare class DeleteVoiceConnectorProxyCommand extends $Command<
  DeleteVoiceConnectorProxyCommandInput,
  DeleteVoiceConnectorProxyCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: DeleteVoiceConnectorProxyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVoiceConnectorProxyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVoiceConnectorProxyCommandInput,
    DeleteVoiceConnectorProxyCommandOutput
  >;
  private serialize;
  private deserialize;
}
