import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  DescribeAppInstanceAdminRequest,
  DescribeAppInstanceAdminResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAppInstanceAdminCommandInput
  extends DescribeAppInstanceAdminRequest {}
export interface DescribeAppInstanceAdminCommandOutput
  extends DescribeAppInstanceAdminResponse,
    __MetadataBearer {}
export declare class DescribeAppInstanceAdminCommand extends $Command<
  DescribeAppInstanceAdminCommandInput,
  DescribeAppInstanceAdminCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: DescribeAppInstanceAdminCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAppInstanceAdminCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAppInstanceAdminCommandInput,
    DescribeAppInstanceAdminCommandOutput
  >;
  private serialize;
  private deserialize;
}
