import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { GetAccountRequest, GetAccountResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetAccountCommandInput extends GetAccountRequest {}
export interface GetAccountCommandOutput
  extends GetAccountResponse,
    __MetadataBearer {}
export declare class GetAccountCommand extends $Command<
  GetAccountCommandInput,
  GetAccountCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetAccountCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetAccountCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetAccountCommandInput, GetAccountCommandOutput>;
  private serialize;
  private deserialize;
}
