import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  GetEventsConfigurationRequest,
  GetEventsConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetEventsConfigurationCommandInput
  extends GetEventsConfigurationRequest {}
export interface GetEventsConfigurationCommandOutput
  extends GetEventsConfigurationResponse,
    __MetadataBearer {}
export declare class GetEventsConfigurationCommand extends $Command<
  GetEventsConfigurationCommandInput,
  GetEventsConfigurationCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetEventsConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetEventsConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetEventsConfigurationCommandInput,
    GetEventsConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
