import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { GetRetentionSettingsRequest } from "../models/models_0";
import { GetRetentionSettingsResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetRetentionSettingsCommandInput
  extends GetRetentionSettingsRequest {}
export interface GetRetentionSettingsCommandOutput
  extends GetRetentionSettingsResponse,
    __MetadataBearer {}
export declare class GetRetentionSettingsCommand extends $Command<
  GetRetentionSettingsCommandInput,
  GetRetentionSettingsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetRetentionSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetRetentionSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetRetentionSettingsCommandInput,
    GetRetentionSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
