import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { GetRoomRequest, GetRoomResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetRoomCommandInput extends GetRoomRequest {}
export interface GetRoomCommandOutput
  extends GetRoomResponse,
    __MetadataBearer {}
export declare class GetRoomCommand extends $Command<
  GetRoomCommandInput,
  GetRoomCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetRoomCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetRoomCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetRoomCommandInput, GetRoomCommandOutput>;
  private serialize;
  private deserialize;
}
