import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  GetSipMediaApplicationRequest,
  GetSipMediaApplicationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetSipMediaApplicationCommandInput
  extends GetSipMediaApplicationRequest {}
export interface GetSipMediaApplicationCommandOutput
  extends GetSipMediaApplicationResponse,
    __MetadataBearer {}
export declare class GetSipMediaApplicationCommand extends $Command<
  GetSipMediaApplicationCommandInput,
  GetSipMediaApplicationCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetSipMediaApplicationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetSipMediaApplicationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetSipMediaApplicationCommandInput,
    GetSipMediaApplicationCommandOutput
  >;
  private serialize;
  private deserialize;
}
