import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { GetUserRequest, GetUserResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetUserCommandInput extends GetUserRequest {}
export interface GetUserCommandOutput
  extends GetUserResponse,
    __MetadataBearer {}
export declare class GetUserCommand extends $Command<
  GetUserCommandInput,
  GetUserCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetUserCommandInput, GetUserCommandOutput>;
  private serialize;
  private deserialize;
}
