import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  GetVoiceConnectorProxyRequest,
  GetVoiceConnectorProxyResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetVoiceConnectorProxyCommandInput
  extends GetVoiceConnectorProxyRequest {}
export interface GetVoiceConnectorProxyCommandOutput
  extends GetVoiceConnectorProxyResponse,
    __MetadataBearer {}
export declare class GetVoiceConnectorProxyCommand extends $Command<
  GetVoiceConnectorProxyCommandInput,
  GetVoiceConnectorProxyCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetVoiceConnectorProxyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVoiceConnectorProxyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetVoiceConnectorProxyCommandInput,
    GetVoiceConnectorProxyCommandOutput
  >;
  private serialize;
  private deserialize;
}
