import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { InviteUsersRequest, InviteUsersResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface InviteUsersCommandInput extends InviteUsersRequest {}
export interface InviteUsersCommandOutput
  extends InviteUsersResponse,
    __MetadataBearer {}
export declare class InviteUsersCommand extends $Command<
  InviteUsersCommandInput,
  InviteUsersCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: InviteUsersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: InviteUsersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<InviteUsersCommandInput, InviteUsersCommandOutput>;
  private serialize;
  private deserialize;
}
