import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListAppInstanceAdminsRequest,
  ListAppInstanceAdminsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListAppInstanceAdminsCommandInput
  extends ListAppInstanceAdminsRequest {}
export interface ListAppInstanceAdminsCommandOutput
  extends ListAppInstanceAdminsResponse,
    __MetadataBearer {}
export declare class ListAppInstanceAdminsCommand extends $Command<
  ListAppInstanceAdminsCommandInput,
  ListAppInstanceAdminsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListAppInstanceAdminsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAppInstanceAdminsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAppInstanceAdminsCommandInput,
    ListAppInstanceAdminsCommandOutput
  >;
  private serialize;
  private deserialize;
}
