import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListChannelMembershipsRequest,
  ListChannelMembershipsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListChannelMembershipsCommandInput
  extends ListChannelMembershipsRequest {}
export interface ListChannelMembershipsCommandOutput
  extends ListChannelMembershipsResponse,
    __MetadataBearer {}
export declare class ListChannelMembershipsCommand extends $Command<
  ListChannelMembershipsCommandInput,
  ListChannelMembershipsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListChannelMembershipsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelMembershipsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListChannelMembershipsCommandInput,
    ListChannelMembershipsCommandOutput
  >;
  private serialize;
  private deserialize;
}
