import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListChannelModeratorsRequest,
  ListChannelModeratorsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListChannelModeratorsCommandInput
  extends ListChannelModeratorsRequest {}
export interface ListChannelModeratorsCommandOutput
  extends ListChannelModeratorsResponse,
    __MetadataBearer {}
export declare class ListChannelModeratorsCommand extends $Command<
  ListChannelModeratorsCommandInput,
  ListChannelModeratorsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListChannelModeratorsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelModeratorsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListChannelModeratorsCommandInput,
    ListChannelModeratorsCommandOutput
  >;
  private serialize;
  private deserialize;
}
