import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { ListUsersRequest, ListUsersResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListUsersCommandInput extends ListUsersRequest {}
export interface ListUsersCommandOutput
  extends ListUsersResponse,
    __MetadataBearer {}
export declare class ListUsersCommand extends $Command<
  ListUsersCommandInput,
  ListUsersCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListUsersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListUsersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListUsersCommandInput, ListUsersCommandOutput>;
  private serialize;
  private deserialize;
}
