import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  PutEventsConfigurationRequest,
  PutEventsConfigurationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface PutEventsConfigurationCommandInput
  extends PutEventsConfigurationRequest {}
export interface PutEventsConfigurationCommandOutput
  extends PutEventsConfigurationResponse,
    __MetadataBearer {}
export declare class PutEventsConfigurationCommand extends $Command<
  PutEventsConfigurationCommandInput,
  PutEventsConfigurationCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: PutEventsConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutEventsConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutEventsConfigurationCommandInput,
    PutEventsConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
