import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  PutRetentionSettingsRequest,
  PutRetentionSettingsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface PutRetentionSettingsCommandInput
  extends PutRetentionSettingsRequest {}
export interface PutRetentionSettingsCommandOutput
  extends PutRetentionSettingsResponse,
    __MetadataBearer {}
export declare class PutRetentionSettingsCommand extends $Command<
  PutRetentionSettingsCommandInput,
  PutRetentionSettingsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: PutRetentionSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutRetentionSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutRetentionSettingsCommandInput,
    PutRetentionSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
