import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  PutVoiceConnectorProxyRequest,
  PutVoiceConnectorProxyResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface PutVoiceConnectorProxyCommandInput
  extends PutVoiceConnectorProxyRequest {}
export interface PutVoiceConnectorProxyCommandOutput
  extends PutVoiceConnectorProxyResponse,
    __MetadataBearer {}
export declare class PutVoiceConnectorProxyCommand extends $Command<
  PutVoiceConnectorProxyCommandInput,
  PutVoiceConnectorProxyCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: PutVoiceConnectorProxyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutVoiceConnectorProxyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutVoiceConnectorProxyCommandInput,
    PutVoiceConnectorProxyCommandOutput
  >;
  private serialize;
  private deserialize;
}
