import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  RedactConversationMessageRequest,
  RedactConversationMessageResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface RedactConversationMessageCommandInput
  extends RedactConversationMessageRequest {}
export interface RedactConversationMessageCommandOutput
  extends RedactConversationMessageResponse,
    __MetadataBearer {}
export declare class RedactConversationMessageCommand extends $Command<
  RedactConversationMessageCommandInput,
  RedactConversationMessageCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: RedactConversationMessageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RedactConversationMessageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RedactConversationMessageCommandInput,
    RedactConversationMessageCommandOutput
  >;
  private serialize;
  private deserialize;
}
