import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  StartMeetingTranscriptionRequest,
  StartMeetingTranscriptionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StartMeetingTranscriptionCommandInput
  extends StartMeetingTranscriptionRequest {}
export interface StartMeetingTranscriptionCommandOutput
  extends StartMeetingTranscriptionResponse,
    __MetadataBearer {}
export declare class StartMeetingTranscriptionCommand extends $Command<
  StartMeetingTranscriptionCommandInput,
  StartMeetingTranscriptionCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: StartMeetingTranscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartMeetingTranscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartMeetingTranscriptionCommandInput,
    StartMeetingTranscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
