import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateRoomMembershipRequest,
  UpdateRoomMembershipResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateRoomMembershipCommandInput
  extends UpdateRoomMembershipRequest {}
export interface UpdateRoomMembershipCommandOutput
  extends UpdateRoomMembershipResponse,
    __MetadataBearer {}
export declare class UpdateRoomMembershipCommand extends $Command<
  UpdateRoomMembershipCommandInput,
  UpdateRoomMembershipCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateRoomMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateRoomMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateRoomMembershipCommandInput,
    UpdateRoomMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
