import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateSipMediaApplicationCallRequest,
  UpdateSipMediaApplicationCallResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateSipMediaApplicationCallCommandInput
  extends UpdateSipMediaApplicationCallRequest {}
export interface UpdateSipMediaApplicationCallCommandOutput
  extends UpdateSipMediaApplicationCallResponse,
    __MetadataBearer {}
export declare class UpdateSipMediaApplicationCallCommand extends $Command<
  UpdateSipMediaApplicationCallCommandInput,
  UpdateSipMediaApplicationCallCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateSipMediaApplicationCallCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateSipMediaApplicationCallCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateSipMediaApplicationCallCommandInput,
    UpdateSipMediaApplicationCallCommandOutput
  >;
  private serialize;
  private deserialize;
}
