import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateSipMediaApplicationRequest,
  UpdateSipMediaApplicationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateSipMediaApplicationCommandInput
  extends UpdateSipMediaApplicationRequest {}
export interface UpdateSipMediaApplicationCommandOutput
  extends UpdateSipMediaApplicationResponse,
    __MetadataBearer {}
export declare class UpdateSipMediaApplicationCommand extends $Command<
  UpdateSipMediaApplicationCommandInput,
  UpdateSipMediaApplicationCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateSipMediaApplicationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateSipMediaApplicationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateSipMediaApplicationCommandInput,
    UpdateSipMediaApplicationCommandOutput
  >;
  private serialize;
  private deserialize;
}
